2019-11-24  Manuel Moos  <z-man@users.sf.net>

	Remove only: section
	
	Well, that was illegal. See if we can remove the offending section.

2019-11-24  Manuel Moos  <z-man@users.sf.net>

	Move common defs into global section
	
	Not sure if this is legal, but we'll see: Move things I expect
	to be identical in every future build job to the top.

2019-11-24  Manuel Moos  <z-man@users.sf.net>

	Add basic dockerignore file

2019-11-24  Manuel Moos  <z-man@users.sf.net>

	Configure yaml to work with local runners
	
	Follow docs from here:
	https://about.gitlab.com/blog/2019/07/31/docker-in-docker-with-docker-19-dot-03/
	
	Changes:
	- pin image versions for docker in docker (dind) build
	- add TLS variable to disable TLS use
	- explicitly request overlay2 docker driver (rumors say it performs better)

2019-11-24  Manuel Moos  <z-man@users.sf.net>

	Define stages
	
	We only do build, but the default name for no-stages in gitlab
	seems to be test.

2019-11-24  Manuel Moos  <z-man@users.sf.net>

	Add ci yml file
	
	So, I haven't fully read the docs, but with just the dockerfile,
	gitlab CI runs some tests completely unsuitable for us. Maybe
	this file overrides those.

2019-11-23  Manuel Moos  <z-man@users.sf.net>

	Add Dockerfile
	
	Builds server and client (for CI), leaves runnable server
	image behind.

2019-11-23  Manuel Moos  <z-man@users.sf.net>

	Adapt arguments to sort
	
	Some linuxes don't have --unique and --reverse, but -ru seems
	to work universally.

2019-10-27  Manuel Moos  <z-man@users.sf.net>

	Make binreloc work again
	
	Apparenly, a recent-ish change in Linux binary loading now has
	constant strings in a segment that is marked differently in
	/proc/self/map, a post-memory-relocation readonly area, I gather.
	It is marked with r--p. Adapt binreloc to also accept such
	segments.
	
	Related to https://gitlab.com/armagetronad/armagetronad/issues/6,
	should reduce the number of cases the workaround needs to kick in.

2019-10-27  Manuel Moos  <z-man@users.sf.net>

	Disable some GCC warnings

2019-10-27  Manuel Moos  <z-man@users.sf.net>

	Explicitly request python2 for sortresources.

2019-10-27  Manuel Moos  <z-man@users.sf.net>

	Add .gitignore

2019-10-27  Manuel Moos  <z-man@users.sf.net>

	Cherry pick merge from 0.2.8 of build fixes
	
	Alternative include dilemma fix
	one python2 pinning
	
	Rename version to version.m4
	Pin python to python2 on make dist

2018-11-21  z-man  <z-man@users.sf.net>

	manually merging dereference crashfix from bzr 0.2.8.

2016-11-29  z-man  <z-man@users.sf.net>

	applying f-thiessen@launchpad's null derefernce crashfix. Dammit. We already had this in 0.4, why not here?

2016-11-19  z-man  <z-man@users.sf.net>

	Disabling silly network expiration, this is a stabilization branch.

2016-11-08  z-man  <z-man@users.sf.net>

	Turning the undefined crashy functions into functions that should work
	fine even on gcc6 by tricking it to actually perform checks on the
	this pointer. Just as an extra safety net.

2016-11-08  z-man  <z-man@users.sf.net>

	Formatting.

2016-10-24  z-man  <z-man@users.sf.net>

	More NULL checks and assertions. None of them were problematic.

2016-10-24  z-man  <z-man@users.sf.net>

	Proper NULL checks for list sorting, the ones in tLinkedList just for
	safety (can't really be NULL at that point, but careless code changes may
	change that). The only problematic case would be sorting an empty
	list, which does not happen with the current (hardcoded) data.

2016-10-24  z-man  <z-man@users.sf.net>

	Removed unused function.

2016-10-24  z-man  <z-man@users.sf.net>

	In the spirit of proper testing, make calls that crash a gcc 6 build
	crash for everyone. Will probably revert for full release.

2016-10-24  z-man  <z-man@users.sf.net>

	Fixed two misleading indentations, one of them was indeed hiding
	faulty logic. The effect was just stuff written to a non-open file
	stream in case the file could not be opened for writing, so probably
	harmless.

2016-10-24  z-man  <z-man@users.sf.net>

	Proper fopen return value check. Sort of merged from 0.2.8.

2016-10-24  z-man  <z-man@users.sf.net>

	Added tASSERT_THIS for compiler warning free assertions that the this pointer is valid.

2016-10-24  z-man  <z-man@users.sf.net>

	Proper NULL pointer checks instead of this checks here, too.

2016-10-24  z-man  <z-man@users.sf.net>

	All builds from this branch are now probably BETA.

2016-10-23  z-man  <z-man@users.sf.net>

	Marked memory manager as currently broken (gcc 6 compatibility
	problems) and disabled its activation for debug builds.

2016-10-23  z-man  <z-man@users.sf.net>

	Updating NEWS

2016-10-23  z-man  <z-man@users.sf.net>

	Another gcc-6 related crashfix due to undefined behavior.

2016-10-23  z-man  <z-man@users.sf.net>

	Merging gcc-6 fixes from 0.2.8

2015-02-26  z-man  <z-man@users.sf.net>

	Updating NEWS and releasenotes.txt for 0.2.8.3.3

2015-02-16  z-man  <z-man@users.sf.net>

	Merge from 0.2.8:
	png_sig_cmp is in both libpng12 and libpng14, where as png_check_sig is only libpng12 --ssuominen

2015-02-04  z-man  <z-man@users.sf.net>

	Radical solution: disabling generation of uninstall script.

2015-01-29  z-man  <z-man@users.sf.net>

	merging version script adaptions

2015-01-29  z-man  <z-man@users.sf.net>

	Merging fixes for various potential bugs from 0.2.8.

2013-01-29  z-man  <z-man@users.sf.net>

	Fixing possible crash due to friends list buffer overrun; no exploit potential.

2013-01-27  z-man  <z-man@users.sf.net>

	Fixed custom and internal camera turns when axes have angles > 90 degrees between them.

2012-03-31  z-man  <z-man@users.sf.net>

	Backporting rare crashfix: Adding sound lock when alpha objects get resorted.

2011-11-20  z-man  <z-man@users.sf.net>

	Backport fix: Switching to glColor4f because Intel drivers don't like it if you alternate between them and glColor3f in different glBegin()/glEnd() blocks.

2011-10-11  z-man  <z-man@users.sf.net>

	Clearing display lists if moviepack seting changed to flush out all texture changes.

2011-09-11  z-man  <z-man@users.sf.net>

	Updating NEWS.

2011-09-11  z-man  <z-man@users.sf.net>

	Only loading .cfg files from the var subfolder.

2011-08-25  z-man  <z-man@users.sf.net>

	Fixing possible race condition when two threads release the last two references to an object at the same time.
	Now only one of them will delete the object.

2011-08-23  z-man  <z-man@users.sf.net>

	Fixing quick restart detection.

2011-08-22  z-man  <z-man@users.sf.net>

	Never call .putback() on a non-good stream; it keeps the error state, but clears an eventual eof flag, confusing further operations on the stream.

2011-08-22  z-man  <z-man@users.sf.net>

	And more unread variables eliminated or banned to debug mode.

2011-08-22  z-man  <z-man@users.sf.net>

	Merging wall build fix, eliminating another unread variable.

2011-08-22  z-man  <z-man@users.sf.net>

	Removing unread variables, at least in non-debug mode. GCC 4.6 complains about them in higher warning levels.

2011-08-22  z-man  <z-man@users.sf.net>

	Actually using server setting for 180 custom turn speed.

2011-08-09  z-man  <z-man@users.sf.net>

	Updating NEWS.

2011-08-09  z-man  <z-man@users.sf.net>

	Adding checks to make sure that no illegal (infinite/NaN) values are passed to OpenGL during cycle trail rendering.

2011-08-05  z-man  <z-man@users.sf.net>

	Making sysinstall silent again.

2011-08-05  z-man  <z-man@users.sf.net>

	Spelling fix rampage. Not caring about A/B english right now.

2011-08-05  z-man  <z-man@users.sf.net>

	More spelling.

2011-08-04  z-man  <z-man@users.sf.net>

	Merging aspect ratio fix.

2011-08-04  z-man  <z-man@users.sf.net>

	Shortened display list texts so they fit the screen.

2011-07-22  z-man  <z-man@users.sf.net>

	Merging another rebranding fix.

2011-07-22  z-man  <z-man@users.sf.net>

	Merging rebranding fixes.

2011-07-22  z-man  <z-man@users.sf.net>

	Updated NEWS.

2011-07-22  z-man  <z-man@users.sf.net>

	Whoops, removing function that wasn't supposed to be here again.

2011-07-22  z-man  <z-man@users.sf.net>

	Merging fixes for errors and warnings with new compilers by dlh.

2011-07-22  z-man  <z-man@users.sf.net>

	Using our COPYING.

2011-07-22  z-man  <z-man@users.sf.net>

	Merging security fix:
	Manuel Moos 2011-03-30 Fixing lenleft checks to avoid reading beyond the end of the message.

2011-07-22  z-man  <z-man@users.sf.net>

	Merging one pure security fix:
	Manuel Moos 2011-03-29 Correctly ignoring fat packets and checking which clients to kick.

2011-07-22  z-man  <z-man@users.sf.net>

	Merging two pure security fixes from ladle defense branch:
	Manuel Moos 2011-03-27 Don't process server ping responses in server mode. Unless you're the master server, of course.
	Manuel Moos 2011-03-26 Previenting crash when receiving a message with descriptor ID 399 with DEBUG enabled.

2011-07-22  z-man  <z-man@users.sf.net>

	Merging fix for infinite loops and crashes when clients send very old-style turn commands.

2010-02-20  z-man  <z-man@users.sf.net>

	Updated.

2010-02-20  z-man  <z-man@users.sf.net>

	Merging luke's spelling fix branch.

2010-01-30  z-man  <z-man@users.sf.net>

	Merging bugfixes:
	------------------------------------------------------------------------
	r9353 | bazaarmagetron | 2010-01-30 19:37:31 +0100 (Sat, 30 Jan 2010) | 2 lines
	
	Manuel Moos: Blacklisting SiS cards for display lists.
	
	------------------------------------------------------------------------
	r9348 | bazaarmagetron | 2010-01-30 12:09:47 +0100 (Sat, 30 Jan 2010) | 2 lines
	
	Manuel Moos: Added block about the man in the middle attack prevention settings.
	
	------------------------------------------------------------------------
	r9338 | bazaarmagetron | 2010-01-27 15:36:41 +0100 (Wed, 27 Jan 2010) | 2 lines
	
	Manuel Moos: Renamed protocol to 0.2.8.3.X to avoid even more
	confusion down the line :)
	
	------------------------------------------------------------------------
	r9332 | bazaarmagetron | 2010-01-26 00:11:01 +0100 (Tue, 26 Jan 2010)| 2 lines
	
	Manuel Moos: Renamed 0.2.8.3_beta2 protocol to 0.2.8.3 to avoid confusion.
	
	------------------------------------------------------------------------
	r9326 | bazaarmagetron | 2010-01-24 21:40:01 +0100 (Sun, 24 Jan 2010) | 5 lines
	
	author: Manuel Moos
	Don't check whether the selected display mode is valid if desktop
	resolution was selected. It will always fail and have the color depth
	be reduced to 16 bit.
	
	------------------------------------------------------------------------
	r9322 | z-man | 2010-01-23 10:04:28 +0100 (Sat, 23 Jan 2010) | 3 lines
	
	Added subcultures to dedicated installer, too. They're not used, but
	admins may want to see the list.
	
	------------------------------------------------------------------------
	r9321 | z-man | 2010-01-23 10:03:15 +0100 (Sat, 23 Jan 2010) | 2 lines
	
	Adding subculture file to installer.
	
	------------------------------------------------------------------------
	r9320 | bazaarmagetron | 2010-01-23 02:17:52 +0100 (Sat, 23 Jan 2010) | 2 lines
	
	Manuel Moos: Fixing missing distribution of subcultures.srv.

2010-01-21  z-man  <z-man@users.sf.net>

	Merging bugfixes from 0.2.8:
	------------------------------------------------------------------------
	r9316 | bazaarmagetron | 2010-01-20 23:13:21 +0100 (Wed, 20 Jan 2010) | 1 line
	Manuel Moos: Fixed typos.
	------------------------------------------------------------------------
	r9315 | bazaarmagetron | 2010-01-20 22:16:30 +0100 (Wed, 20 Jan 2010) | 2 lines
	Manuel Moos: Added shuffle suppression texts.
	------------------------------------------------------------------------
	r9314 | bazaarmagetron | 2010-01-19 02:28:41 +0100 (Tue, 19 Jan 2010) | 2 lines
	Manuel Moos: Sound no longer stops for entire rounds if you alt-tab away.
	------------------------------------------------------------------------
	r9309 | bazaarmagetron | 2010-01-16 19:01:46 +0100 (Sat, 16 Jan 2010) | 2 lines
	Manuel Moos: Made GCC (4.1, with --pedantic) happy, again.

2010-01-21  z-man  <z-man@users.sf.net>

	Starting bugfix branch.

2010-01-16  Manuel Moos  <z-man@users.sf.net>

	Updated news.

2010-01-16  Manuel Moos  <z-man@users.sf.net>

	Disabling pathfinding if it takes too long. Doesn't do too much good, anyway, a typical player will chase the AIs down actively.

2010-01-15  Manuel Moos  <z-man@users.sf.net>

	Speeding up default server pinging by a factor of two. Should still not totally break down on ISDN or fast dialup, definitely no problem for crappy WLAN or even the slowest form of DSL.

2010-01-14  Manuel Moos  <z-man@users.sf.net>

	Avoiding DNS lookups while still connected to the master server, if possible.

2010-01-14  Manuel Moos  <z-man@users.sf.net>

	On conflicting information, prefer to keep the IP version of server infos to avoid needless DNS loopups.

2010-01-14  Manuel Moos  <z-man@users.sf.net>

	Removing duplicate servers where one copy uses SERVER_DNS, the other not, right as they come in from the network.

2010-01-14  Manuel Moos  <z-man@users.sf.net>

	Adapted German translation a bit to new terminology.

2010-01-14  Manuel Moos  <z-man@users.sf.net>

	Speeding up fast finish some more.

2010-01-14  Manuel Moos  <z-man@users.sf.net>

	Reorganized main game menu items to make internet multiplayer easier to access.

2010-01-14  Manuel Moos  <z-man@users.sf.net>

	Eating input the player made while the server list was fetched to avoid him going to host a game or quitting immediately.

2010-01-14  Manuel Moos  <z-man@users.sf.net>

	Speeding up fast finish.

2010-01-14  Manuel Moos  <z-man@users.sf.net>

	Fixed bug where a round would go on forever if the last survivors where AIs outliving their humans by quite a bit, then getting killed sufficiently simultaneously.

2010-01-11  Daniel Lee Harple  <leeharple@gmail.com>

	Use colored name for shuffle messages.

2010-01-11  Manuel Moos  <z-man@users.sf.net>

	Without armathentication built in, now all console commands stay
	at ADMIN access level so remote admins can actually use them. One
	exception: the now activated ACCESS_LEVEL can only be invoked from the
	console or config files by default and thus allows disabling commands
	for remote admins.

2009-12-24  Daniel Lee Harple  <leeharple@gmail.com>

	Do not extract whitespace from authentication params using std::ws()—it will not stop at a newline character. tString::ReadLine() will extract whitespace in the behavior we expect. Fixes bug #492844.

2009-11-06  Daniel Lee Harple  <leeharple@gmail.com>

	Intercepted chat commands are now written to ladderlog.txt.

2009-11-04  Daniel Lee Harple  <leeharple@gmail.com>

	Use log name for intercepted chat commands

2009-10-11  Manuel Moos  <z-man@users.sf.net>

	Improved master server random polling, the second polled master now also is random, and all masters are polled if need be

2009-10-11  Manuel Moos  <z-man@users.sf.net>

	Storing server score between visits to the master list and polling higher scored servers first.

2009-09-27  Manuel Moos  <z-man@users.sf.net>

	Fixed typo.

2009-09-18  Daniel Lee Harple  <leeharple@gmail.com>

	USER_LEVEL now escapes the given authenticated name

2009-09-17  Manuel Moos  <z-man@users.sf.net>

	Making GCC 4.3 happy.

2009-09-16  Manuel Moos  <z-man@users.sf.net>

	Zero turn speed custom camera now aligns with cycle when it is first set.

2009-09-16  Manuel Moos  <z-man@users.sf.net>

	Removing warning about failed setting the network TOS to realtime.

2009-09-14  Manuel Moos  <z-man@users.sf.net>

	Fixing missing output parameter in $player_joins_team_noex.

2009-09-11  Manuel Moos  <z-man@users.sf.net>

	RESERVE_SCREEN_NAME now works regardless of the ALLOW_IMPOSTOR setting.
	Corrected and clarified RESERVE_SCREEN_NAME documentation.

2009-09-11  Manuel Moos  <z-man@users.sf.net>

	Ignoring custom.txt; it doesn't exist by default and is unlikely to be complete.

2009-09-11  Manuel Moos  <z-man@users.sf.net>

	Updated with news.

2009-09-11  Bazaarmagetron  <z-man@users.sf.net>

	Automatic merging of commits that would change history order:
	------------------------------------------------------------
	revno: 1136.5.3
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: armagetronad
	timestamp: Fri 2009-09-11 10:46:10 +0200
	message:
	Clarified purpose of directory generation loop.
	------------------------------------------------------------
	revno: 1136.5.2
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: armagetronad
	timestamp: Fri 2009-09-11 10:45:50 +0200
	message:
	Fixed crash in server polling, mostly hitting master servers.
	------------------------------------------------------------
	revno: 1136.5.1
	committer: Bazaarmagetron <z-man@users.sf.net>
	branch nick: 0.2.8-armagetronad-sync
	timestamp: Fri 2009-09-11 00:20:29 +0200
	message:
	Automatic merging of commits that would change history order:
	------------------------------------------------------------
	Use --include-merges or -n0 to see merged revisions.
	------------------------------------------------------------
	revno: 1136.4.1
	committer: Bazaarmagetron <z-man@users.sf.net>
	branch nick: 0.2.8-armagetronad-sync
	timestamp: Thu 2009-09-10 23:16:09 +0200
	message:
	Automatic merging of commits that would change history order:
	------------------------------------------------------------
	Use --include-merges or -n0 to see merged revisions.
	------------------------------------------------------------
	revno: 1136.1.12
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: armagetronad
	timestamp: Wed 2009-09-09 11:37:28 +0200
	message:
	No longer updating player names on login/logout event to prevent name change abuse.
	------------------------------------------------------------
	revno: 1136.1.11
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: armagetronad
	timestamp: Wed 2009-09-09 09:34:05 +0200
	message:
	Implemented model cache to avoid long round start times where model loading is slow.
	------------------------------------------------------------
	revno: 1136.1.10
	committer: epsy <epsy46@free.fr>
	branch nick: 0.2.8
	timestamp: Sat 2009-09-05 11:47:43 +0200
	message:
	Finally set GAME_TYPE in the example fortress config. 
	------------------------------------------------------------
	revno: 1136.1.9
	committer: Daniel Lee Harple <leeharple@gmail.com>
	branch nick: 0.2.8-armagetronad-work
	timestamp: Tue 2009-07-28 01:33:02 -0400
	message:
	Write the players on the team for ROUND_WINNER and MATCH_WINNER.
	
	Perhaps a better solution would be to have PLAYER_JOIN_TEAM, PLAYER_LEAVE_TEAM, and TEAM_RENAMED ladderlog entries.
	------------------------------------------------------------
	revno: 1136.1.8
	committer: Daniel Lee Harple <leeharple@gmail.com>
	branch nick: 0.2.8-armagetronad-work
	timestamp: Mon 2009-07-27 12:17:19 -0400
	message:
	Added a custom language file. Create language/custom.txt in your user data directory, with contents:
	
	language Custom
	# custom language strings...
	
	Set LANGUAGE_FIRST Custom and LANGUAGE_Second <your-primary-language>
	
	No need to modify game-provided config files anymore.
	------------------------------------------------------------
	revno: 1136.1.7
	committer: Daniel Lee Harple <leeharple@gmail.com>
	branch nick: 0.2.8-armagetronad-work
	timestamp: Sun 2009-07-26 10:54:01 -0400
	message:
	Use tSettingItem for these.
	------------------------------------------------------------
	revno: 1136.1.6
	committer: Daniel Lee Harple <leeharple@gmail.com>
	branch nick: 0.2.8-armagetronad-work
	timestamp: Sun 2009-07-19 06:38:10 -0400
	message:
	After dying in in-cam mode, switch to the players initial camera preference.
	------------------------------------------------------------
	revno: 1136.1.5
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: armagetronad
	timestamp: Sun 2009-07-05 21:47:38 +0200
	message:
	fixed typo.
	------------------------------------------------------------
	revno: 1136.1.4
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: armagetronad
	timestamp: Sun 2009-07-05 13:06:16 +0200
	message:
	Avoiding client drops due to stalling authentication queue between rounds.
	------------------------------------------------------------
	revno: 1136.1.3
	committer: Daniel Lee Harple <leeharple@gmail.com>
	branch nick: 0.2.8-armagetronad-work
	timestamp: Sat 2009-06-20 05:29:52 +0200
	message:
	Merge from 0.2.8-armagetronad-shufflespam
	------------------------------------------------------------
	revno: 1136.3.4
	committer: Daniel Lee Harple <leeharple@gmail.com>
	branch nick: 0.2.8-armagetronad-shufflespam
	timestamp: Fri 2009-06-19 17:41:24 +0200
	message:
	Language tweak
	------------------------------------------------------------
	revno: 1136.3.3
	committer: Daniel Lee Harple <leeharple@gmail.com>
	branch nick: 0.2.8-armagetronad-shufflespam
	timestamp: Fri 2009-06-19 11:43:44 +0200
	message:
	Documented negative/zero value for SHUFFLE_SPAM_MESSAGES_PER_ROUND.
	------------------------------------------------------------
	revno: 1136.3.2
	committer: Daniel Lee Harple <leeharple@gmail.com>
	branch nick: 0.2.8-armagetronad-shufflespam
	timestamp: Fri 2009-06-19 00:00:05 +0200
	message:
	Removed double semicolon typo
	------------------------------------------------------------
	revno: 1136.3.1
	committer: Daniel Lee Harple <leeharple@gmail.com>
	branch nick: 0.2.8-armagetronad-shufflespam
	timestamp: Thu 2009-06-18 23:53:26 +0200
	message:
	Players can no longer spam chat with /shuffle messages. Added new setting SHUFFLE_SPAM_MESSAGES_PER_ROUND, a per round, per player limit on the number of shuffle messages displayed.
	------------------------------------------------------------
	revno: 1136.1.2
	committer: Daniel Lee Harple <leeharple@gmail.com>
	branch nick: 0.2.8-armagetronad-work
	timestamp: Sat 2009-06-20 05:29:06 +0200
	message:
	Merged from 0.2.8-armagetronad-suspend_fix
	------------------------------------------------------------
	revno: 1136.2.1
	committer: Daniel Lee Harple <leeharple@gmail.com>
	branch nick: 0.2.8-armagetronad-work
	timestamp: Thu 2009-06-18 14:30:43 +0200
	message:
	A player is now removed from the game immediately when suspended.
	------------------------------------------------------------
	revno: 1136.1.1
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: armagetronad
	timestamp: Mon 2009-05-04 20:23:53 +0200
	message:
	Fixed crash when getting disconnected from a server with higher MAXCLIENTS than the client has.

2009-09-11  Manuel Moos  <z-man@users.sf.net>

	Clarified purpose of directory generation loop.

2009-09-11  Manuel Moos  <z-man@users.sf.net>

	Fixed crash in server polling, mostly hitting master servers.

2009-09-11  Bazaarmagetron  <z-man@users.sf.net>

	Automatic merging of commits that would change history order:
	------------------------------------------------------------
	Use --include-merges or -n0 to see merged revisions.

2009-09-10  Bazaarmagetron  <z-man@users.sf.net>

	Automatic merging of commits that would change history order:
	------------------------------------------------------------
	Use --include-merges or -n0 to see merged revisions.

2009-09-09  Manuel Moos  <z-man@users.sf.net>

	No longer updating player names on login/logout event to prevent name change abuse.

2009-09-09  Manuel Moos  <z-man@users.sf.net>

	Implemented model cache to avoid long round start times where model loading is slow.

2009-09-05  epsy  <epsy46@free.fr>

	Finally set GAME_TYPE in the example fortress config. 

2009-07-28  Daniel Lee Harple  <leeharple@gmail.com>

	Write the players on the team for ROUND_WINNER and MATCH_WINNER.
	
	Perhaps a better solution would be to have PLAYER_JOIN_TEAM, PLAYER_LEAVE_TEAM, and TEAM_RENAMED ladderlog entries.

2009-07-27  Daniel Lee Harple  <leeharple@gmail.com>

	Added a custom language file. Create language/custom.txt in your user data directory, with contents:
	
	language Custom
	# custom language strings...
	
	Set LANGUAGE_FIRST Custom and LANGUAGE_Second <your-primary-language>
	
	No need to modify game-provided config files anymore.

2009-07-26  Daniel Lee Harple  <leeharple@gmail.com>

	Use tSettingItem for these.

2009-07-19  Daniel Lee Harple  <leeharple@gmail.com>

	After dying in in-cam mode, switch to the players initial camera preference.

2009-07-05  Manuel Moos  <z-man@users.sf.net>

	fixed typo.

2009-07-05  Manuel Moos  <z-man@users.sf.net>

	Avoiding client drops due to stalling authentication queue between rounds.

2009-06-20  Daniel Lee Harple  <leeharple@gmail.com>

	Merge from 0.2.8-armagetronad-shufflespam

2009-06-19  Daniel Lee Harple  <leeharple@gmail.com>

	Language tweak

2009-06-19  Daniel Lee Harple  <leeharple@gmail.com>

	Documented negative/zero value for SHUFFLE_SPAM_MESSAGES_PER_ROUND.

2009-06-19  Daniel Lee Harple  <leeharple@gmail.com>

	Removed double semicolon typo

2009-06-18  Daniel Lee Harple  <leeharple@gmail.com>

	Players can no longer spam chat with /shuffle messages. Added new setting SHUFFLE_SPAM_MESSAGES_PER_ROUND, a per round, per player limit on the number of shuffle messages displayed.

2009-06-20  Daniel Lee Harple  <leeharple@gmail.com>

	Merged from 0.2.8-armagetronad-suspend_fix

2009-06-18  Daniel Lee Harple  <leeharple@gmail.com>

	A player is now removed from the game immediately when suspended.

2009-05-04  Manuel Moos  <z-man@users.sf.net>

	Fixed crash when getting disconnected from a server with higher MAXCLIENTS than the client has.

2009-09-10  bazaarmagetron

	Automatic merging of commits that would change history order:
	------------------------------------------------------------
	Use --include-merges or -n0 to see merged revisions.

2009-04-25  Manuel Moos  <z-man@users.sf.net>

	Updated with changes.

2009-04-25  Manuel Moos  <z-man@users.sf.net>

	Translated user ban/unban messages.

2009-04-24  Manuel Moos  <z-man@users.sf.net>

	Added DDMJ's change requests: no CPUs, conquest timeout in team sumo.

2009-04-24  Manuel Moos  <z-man@users.sf.net>

	Got rid of extra space in new round message.

2009-04-23  Manuel Moos  <z-man@users.sf.net>

	Pausing sound between rounds to avoid stuttering.

2009-04-20  Manuel Moos  <z-man@users.sf.net>

	Removed hardcoded 10000 vertex limit for .ase files that wasn't checked and caused crashes on violation.

2009-04-15  Daniel Lee Harple  <leeharple@gmail.com>

	Generalize dark color filter fix

2009-04-14  Daniel Lee Harple  <leeharple@gmail.com>

	Clean up language strings for eUserConfig commands.
	
	BAN_USER and UNBAN_USER where missing usage_strings.

2009-04-14  Daniel Lee Harple  <leeharple@gmail.com>

	eUserConfig commands, such as USER_LEVEL and RESERVE_SCREEN_NAME now exit immediately and show usage if the first argument, the username, is not given.

2009-04-14  Daniel Lee Harple  <leeharple@gmail.com>

	Fixed language key typo.

2009-04-11  Daniel Lee Harple  <leeharple@gmail.com>

	In se_SecretConsoleOut(), the message was sometimes sent to the server console twice.

2009-04-09  Daniel Lee Harple  <leeharple@gmail.com>

	Cleaner fix for FILTER_DARK_COLOR_STRINGS

2009-04-09  Daniel Lee Harple  <leeharple@gmail.com>

	Fixed FILTER_DARK_COLOR_STRINGS to not filter the reset color.

2009-04-06  Daniel Lee Harple  <leeharple@gmail.com>

	Get rid of configure warning about ignoring the datarootdir setting.

2009-04-06  Daniel Lee Harple  <leeharple@gmail.com>

	We require GNU make. Silence warnings during bootstrap about “GNU make extension” and “non-POSIX variable name”.

2009-04-06  Manuel Moos  <z-man@users.sf.net>

	Fixed client (and possibly server?) crash due to endless recursion during grid cleanup.

2009-04-03  Manuel Moos  <z-man@users.sf.net>

	Removed PREDICT_WALLS setting for non-dedicated builds.

2009-04-06  Manuel Moos  <z-man@users.sf.net>

	Removed 'const' qualifier from non-ref return type; gcc 4.3 complains about it.

2009-04-03  Manuel Moos  <z-man@users.sf.net>

	Translated prefix spam messages.

2009-04-03  Manuel Moos  <z-man@users.sf.net>

	Updated.

2009-03-31  Daniel Lee Harple  <leeharple@gmail.com>

	Updated other ePlayerNetID constructor initializer list.

2009-03-30  Manuel Moos  <z-man@users.sf.net>

	Worked around gcc 3.3's refusal to accept a freshly constructed string
	as const & parameter.

2009-03-28  Daniel Lee Harple  <leeharple@gmail.com>

	Fixed VOTING_MATURITY. Fixes bug #350469

2009-03-27  Manuel Moos  <z-man@users.sf.net>

	Fixing camera crash when there is no game object at all to watch.

2009-03-25  Manuel Moos  <z-man@users.sf.net>

	Fixed typo.

2009-03-25  Daniel Lee Harple  <leeharple@gmail.com>

	Turn down PREFIX_SPAM_START_COLOR_MULTIPLIER

2009-03-25  Daniel Lee Harple  <leeharple@gmail.com>

	don't output src/test/Makefile

2009-03-25  Daniel Lee Harple  <leeharple@gmail.com>

	Expose detailed prefix spam settings on all builds.

2009-03-25  Manuel Moos  <z-man@users.sf.net>

	Removed test for now. They don't seem to compile, at least not for
	out-of-source builds.

2009-03-24  Daniel Lee Harple  <leeharple@gmail.com>

	If a message is directed towards a player, cut the player name off the message so we can check for prefix spam.

2009-03-24  Daniel Lee Harple  <leeharple@gmail.com>

	Added prefix spam entry

2009-03-25  Manuel Moos  <z-man@users.sf.net>

	Merging prefix spam branch.

2009-03-24  Daniel Lee Harple  <leeharple@gmail.com>

	added some ignores

2009-03-24  Daniel Lee Harple  <leeharple@gmail.com>

	keep track of line number for a session

2009-03-24  Daniel Lee Harple  <leeharple@gmail.com>

	Count chats and chats that got through

2009-03-24  Daniel Lee Harple  <leeharple@gmail.com>

	removed unused include

2009-03-24  Daniel Lee Harple  <leeharple@gmail.com>

	When checking for chat directed towards a player, chop off ',' also

2009-03-24  Daniel Lee Harple  <leeharple@gmail.com>

	Only expose setting to enable/disable prefix spam checking

2009-03-24  Daniel Lee Harple  <leeharple@gmail.com>

	Added prefix spam test

2009-03-24  Daniel Lee Harple  <leeharple@gmail.com>

	cycleprograminited didn't respect the project dependency structure.

2009-03-24  Daniel Lee Harple  <leeharple@gmail.com>

	Added test subdir. Moved class eChatPrefixSpamTester to header.

2009-03-04  Daniel Lee Harple  <leeharple@gmail.com>

	escape colors

2009-03-04  Daniel Lee Harple  <leeharple@gmail.com>

	Factored out to se_CalcTimeout().

2009-03-04  Daniel Lee Harple  <leeharple@gmail.com>

	Fix issue where a false prefix would be found (most likely a single letter one)

2009-03-04  Daniel Lee Harple  <leeharple@gmail.com>

	Only print spam prefix debugging when prefix is found

2009-03-04  Daniel Lee Harple  <leeharple@gmail.com>

	Extra param to FindPlayerByName() to not print stuff to console

2009-03-04  Daniel Lee Harple  <leeharple@gmail.com>

	Known prefixes will now timeout sometime in the future.

2009-03-04  Daniel Lee Harple  <leeharple@gmail.com>

	* One letter prefixes can not be blocked now. Their score now stays just under the default PREFIX_SPAM_REQUIRED_SCORE.
	* For two letter prefixes: 6 messages with a 2-letter prefix will get through. The 7th will be blocked.

2009-03-04  Daniel Lee Harple  <leeharple@gmail.com>

	After a prefix has been found, remove old chat entries that begin with it.

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	fixed CommonPrefix

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	doc

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	const correct

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	Added help strings and default settings

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	ifdef DEBUG

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	Reduced number of saved entries, and adjusted a prefix multipler

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	raising required prefix spam score, and reducing length multiplier

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	remove function. escape color codes

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	Added spam prefix multipliers. Fixed score calculation.

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	fixed file header

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	check score after calculating

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	work on calculation prefix spam score

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	corrected prefix checking of /me messages

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	Added some config items

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	factored out to se_CalcScore()

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	ShouldCheckMessage() takes a eChatSaidEntry

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	log2 only used once

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	Factor out se_EscapeColors()

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	Corrected eChatMessageType hierarchy.

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	Documented

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	factored out some code to HasKnownPrefix()

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	* Public chat directed towards a player not checked for prefix spam.
	* sg_StringEndsWith() -> st_StringEndsWith()

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	* Added eChatMessageType_Public_Direct.
	* Working on direct messages in public chat. They shouldn't be marked as spam.

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	* eChatLastSaid::InsertSaid() -> eChatLastSaid::AddSaid()
	* added eChatLastSaid::AddPrefix()

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	* eChatSaid -> eChatSaidEntry
	* eChatLastSaid now class instead of deque
	* known prefixes now stored in eChatLastSaid

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	documentation

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	escape colors

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	Check from known prefixes first (less expensive)

2009-03-03  Daniel Lee Harple  <leeharple@gmail.com>

	spam prefix protection

2009-03-02  Daniel Lee Harple  <leeharple@gmail.com>

	removed old help entries

2009-03-02  Daniel Lee Harple  <leeharple@gmail.com>

	* Removed similarity stuff.
	* Added eChatMessageType
	* Use eChatSaid instead of std::pair

2009-02-17  Daniel Lee Harple  <leeharple@gmail.com>

	Don't apply similarity check to team messages

2009-02-17  Daniel Lee Harple  <leeharple@gmail.com>

	Correceted SPAM_SIMILARITY_PREFIX_MULTIPLIER help text

2009-02-17  Daniel Lee Harple  <leeharple@gmail.com>

	newline

2009-02-17  Daniel Lee Harple  <leeharple@gmail.com>

	Moved chat spam class to new file. Implemented similarity spam check.

2009-02-17  Daniel Lee Harple  <leeharple@gmail.com>

	Factored last said to be a deque of pairs

2009-03-22  Manuel Moos  <z-man@users.sf.net>

	Fixed last commit.
	Highscores now list everyone, not just everyone better than the first
	person who ever played.

2009-03-22  Manuel Moos  <z-man@users.sf.net>

	Really fixed #251447: names were filtered after reading from the highscore files.

2009-03-21  Luke Dashjr  <luke+bzr@dashjr.org>

	restore missing specific DTDs from repository

2009-03-20  Manuel Moos  <z-man@users.sf.net>

	Checking whether var directory exists before attempting to remove it. Fixes #345184.

2009-03-19  luke-jr

	restore old DTD

2009-03-14  Manuel Moos  <z-man@users.sf.net>

	Updated for beta3.

2009-03-12  Manuel Moos  <z-man@users.sf.net>

	Fixed sound muting when switching sound settings.

2009-03-12  Manuel Moos  <z-man@users.sf.net>

	Sound locks are now handled via locker objects instead of
	lock()/unlock() pairs for exception safety.
	Added a couple of locks that should fix random round end crashes.

2009-03-11  Manuel Moos  <z-man@users.sf.net>

	Removed obsolete (and wrongly calculated) goneRatio variable. This
	fixes sensor collision reports; they would sometimes falsely report a
	temporary wall behind a gridded wall as the first collision.

2009-03-10  Manuel Moos  <z-man@users.sf.net>

	Made it possible to switch viewports in four player mode.

2009-03-10  Manuel Moos  <z-man@users.sf.net>

	Also renamed SilenceAll variable intenally.

2009-03-10  Manuel Moos  <z-man@users.sf.net>

	renamed SILENCE_ALL -> SILENCE_DEFAULT.

2009-03-10  Manuel Moos  <z-man@users.sf.net>

	Reverting last revision for redunancy.

2009-03-07  Daniel Lee Harple  <leeharple@gmail.com>

	SILENCE_ALL can be used on the client to ignore chat from all players locally.

2009-03-04  Manuel Moos  <z-man@users.sf.net>

	Fixed comment typos.

2009-03-04  Manuel Moos  <z-man@users.sf.net>

	Updated translation and clarified original.

2009-03-04  Manuel Moos  <z-man@users.sf.net>

	Added LAG_FREQUENCY_THRESHOLD to better deal with lag clusterbombs.

2009-03-03  Manuel Moos  <z-man@users.sf.net>

	In debug mode, no longer check for desktop dimensions unless desktop
	fullscreen mode is selected. This avoids the annoying flickering and
	makes the window find an actually useful place on the desktop instead
	of jumping to the top left corner.

2009-03-02  Daniel Lee Harple  <leeharple@gmail.com>

	more quick exit changes

2009-03-02  z-man

	Adapted to uMenu::quickexit changes.

2009-03-02  Manuel Moos  <z-man@users.sf.net>

	Added "quit to game selection menu" state to uMenu::quickexit.
	Using it to react on timeouts while a menu is getting displayed and to
	properly abort pending server induced fullscreen messages.

2009-03-02  Manuel Moos  <z-man@users.sf.net>

	Fixed exit cleanup failure (leading to crash at least on trunk) on timeouts.

2009-03-02  Manuel Moos  <z-man@users.sf.net>

	Removed unused variables.

2009-03-02  Manuel Moos  <z-man@users.sf.net>

	Reduced kill timeout in case cycle simulation gets stuck.
	Fixed cycles getting stuck because of tsTodo floating point rounding.

2009-02-27  Manuel Moos  <z-man@users.sf.net>

	Forgot to update NEWS.

2009-02-27  Manuel Moos  <z-man@users.sf.net>

	Injected Armatrator access level between Team Leader and Moderator and gave it IP and ID read rights by default.

2009-02-26  Manuel Moos  <z-man@users.sf.net>

	Now switched to the more standard and easier to escape reading method that turns \\ into \, \\\\ into \\ and so on.

2009-02-26  Manuel Moos  <z-man@users.sf.net>

	Backslash at the front of a read string now correctly escapes the following character.

2009-02-26  Manuel Moos  <z-man@users.sf.net>

	Removed obsolete rendering code and restored adaption of near clipping plane to close walls.

2009-02-26  Manuel Moos  <z-man@users.sf.net>

	Fixed unescaping of what becomes of \_ or, in fact any 
	\<special character>, during escaping.

2009-02-26  Manuel Moos  <z-man@users.sf.net>

	Made clear unknown methods are an internal error.

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Translated new language items so no smartass reopens the 'translation not complete' bug :)

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Added missing help entries.

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Added items collected over the past months.

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Softcoded command help.

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Applied epsy's changes from https://bugs.launchpad.net/armagetronad/0.2.8/+bug/312245/comments/3
	(Please use "./update.py --scm" from now before committing changes to
	this file to keep redunant untranslated strings out of bzr/svn.)

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Completed translation.

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Updated IDs of some items.

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Small typo.

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Translated some more.

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	SPAM_MAXLEN can only be modified by the owner to prevent accidents.

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Corrected lag variance setting help ID.

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Updated.

2009-02-25  Manuel Moos  <z-man@users.sf.net>

	Switched to utf8 as the encoding used for scrambling passwords and
	sending usernames to the authority.

2009-02-24  Manuel Moos  <z-man@users.sf.net>

	Removed idle kick from fortess sample politics; idle remove is more than enough.

2009-02-24  Manuel Moos  <z-man@users.sf.net>

	More flexible client alpha build expiry distinguising between 0.2.8 and trunk servers.

2009-02-24  Manuel Moos  <z-man@users.sf.net>

	Translation work.

2009-02-22  Manuel Moos  <z-man@users.sf.net>

	Correctly encode non-ascii-characters.

2009-02-19  Manuel Moos  <z-man@users.sf.net>

	Corrected competition master subculture.

2009-02-19  Manuel Moos  <z-man@users.sf.net>

	Keyup events no longer run through doublebind protection.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Fixed removal of wrong delete info.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Fixed deleted objects from lingering around on the client too much.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Removed annoying debug breakpoints.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Name lenght limit now also applies to admin renames. Silly admins.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Added emergency code to hopefully catch the invulnerability bug.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Don't leave the cycle driving straight on on the server just because a
	couple of turns were missed.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Implemented a variant of RLBOT simulating tripple binds. Useful for stress tests.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	No more respawining while death/winzone is active.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Fixed cycle extrapolator getting permanently stuck.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Ammendment to object ID recycling bugfix: sending object create and
	delete messages in alternating bursts now. Pending deletes should not
	block creations indefinitely.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Removed small hickup detection in regular debug builds.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Removed small hickup detection in regular debug builds.

2009-02-16  Manuel Moos  <z-man@users.sf.net>

	Rough fix for https://launchpad.net/bugs/329874:
	While there are deletion messages pending to a client, don't send creation messages.

2009-02-15  Manuel Moos  <z-man@users.sf.net>

	Instead of clearing the registration pointer of nNetObjects once
	they're remotely destroyed, have them switch over to being considered
	created locally. Objects lingering on for some reason still hold on
	to their object ID; if it gets reassigned on the server to some other
	object before the original object finally gets destroyed, clients
	rightfully complain about a duplicate use of the ID. Keeping the
	object registered avoids the reuse of the ID.

2009-02-15  Manuel Moos  <z-man@users.sf.net>

	Whoops, re-added variable.

2009-02-15  Manuel Moos  <z-man@users.sf.net>

	Removed obsolete breakpoint

2009-02-15  Manuel Moos  <z-man@users.sf.net>

	Fixed typo in asserts.

2009-02-15  Manuel Moos  <z-man@users.sf.net>

	Losing first packet when simulating ping.

2009-02-15  epsy  <epsy46@free.fr>

	Fixed bug 329812: MOVE_TO doesn't work when specifying port

2009-02-15  Manuel Moos  <z-man@users.sf.net>

	Fixed typo

2009-02-15  Manuel Moos  <z-man@users.sf.net>

	Added assertions to pathfinding code (I was suspecting an infinte loop
	bug there, turned out to be just a case of a heavily fragmented grid).

2009-02-13  Manuel Moos  <z-man@users.sf.net>

	Hopefully fixed playback desync when user is trying to log in with an illegal authority.

2009-02-13  Manuel Moos  <z-man@users.sf.net>

	Fixed recording desync when a remote admin includes large config files with some settings vetoed.

2009-02-13  Manuel Moos  <z-man@users.sf.net>

	Stable debug level guaranteed.

2009-02-13  Manuel Moos  <z-man@users.sf.net>

	DEDICATED_IDLE now needs to be exactly 0 (or less) to keep a server going forever.

2009-02-13  Manuel Moos  <z-man@users.sf.net>

	Added detection of small timer hickups in debug mode.

2009-02-13  Manuel Moos  <z-man@users.sf.net>

	Tuning of timer drift detection to make it less likely to indicate a drift when there is none.

2009-02-12  Manuel Moos  <z-man@users.sf.net>

	Bending the time the client claims to have turned the cylce if telling
	the truth would mean certain death.

2009-02-12  Manuel Moos  <z-man@users.sf.net>

	Common code for lag credit clamping.

2009-02-12  Manuel Moos  <z-man@users.sf.net>

	Reverted accidental change.

2009-02-12  Manuel Moos  <z-man@users.sf.net>

	Added lag credit clamping dependant on the measured lag variance.

2009-02-12  Manuel Moos  <z-man@users.sf.net>

	updated.

2009-02-12  Manuel Moos  <z-man@users.sf.net>

	Corrected comparision in debug output.

2009-02-12  Manuel Moos  <z-man@users.sf.net>

	Don't move cycles back in time if the owning client does not expect it.

2009-02-12  Manuel Moos  <z-man@users.sf.net>

	Anticipating serverside lag compensation to prevent misprediction
	of lag slides.

2009-02-12  Manuel Moos  <z-man@users.sf.net>

	Exporting lag compensation version feature.

2009-02-12  Manuel Moos  <z-man@users.sf.net>

	Const correctness of nVersionFeature::Supported().

2009-02-11  Manuel Moos  <z-man@users.sf.net>

	Hopefully really removing LOWEST scoring team now.

2009-02-12  Manuel Moos  <z-man@users.sf.net>

	properly saving and restoring CFLAGS for ZThread test.

2009-02-08  Daniel Lee Harple  <leeharple@gmail.com>

	Using the custom connect menu after browsing a server subculture didn't work.

2009-02-09  Manuel Moos  <z-man@users.sf.net>

	Better alignment for more than 9 players.

2009-02-09  Manuel Moos  <z-man@users.sf.net>

	Implemented team ID printing for /team output for ease of /shuffling.
	Implemented /myteam to only get your own team layout.

2009-02-07  Daniel Lee Harple  <leeharple@gmail.com>

	Removed debug output.

2009-02-04  epsy  <epsy46@free.fr>

	Changed se_DeOp to not use se_ChangeAccess.
	Moved stuff from se_ChangeAccess to se_CanChangeAccess.
	Removed references to /promote.

2009-02-04  epsy  <epsy46@free.fr>

	Fixed spectators not seeing their own team messages when invited

2009-02-02  Manuel Moos  <z-man@users.sf.net>

	Fixed rare wallpassing bug; it required what whould usually be an
	instakill and infinte wall length.

2009-02-02  Manuel Moos  <z-man@users.sf.net>

	Fixed rare wallpassing bug; it required what whould usually be an
	instakill and infinte wall length.

2009-01-31  Manuel Moos  <z-man@users.sf.net>

	Added section for post-beta1 changes.

2009-01-29  Manuel Moos  <z-man@users.sf.net>

	Stupid Z-Man didn't know 'char' is allowed to mean 'unsigned char'.
	Fixes string encoding/decoding on systems where this is the case.

2009-01-29  Manuel Moos  <z-man@users.sf.net>

	Added timer drift compensation.

2009-01-29  Manuel Moos  <z-man@users.sf.net>

	Applied lag clamping on client, too.

2009-01-28  Manuel Moos  <z-man@users.sf.net>

	Carefully clarified our odd signed arithmetics during string
	encoding/decoding to the compiler.

2009-01-27  Manuel Moos  <z-man@users.sf.net>

	Teams the client thinks cannot be joined are no longer hidden in the
	menu, but shown with transparency (darker without alpha blending).

2009-01-27  Manuel Moos  <z-man@users.sf.net>

	Removed obsolete explicit resource path.

2009-01-26  z-man

	Removing obsolete .cvsignore files. Finally :)

2009-01-26  Manuel Moos  <z-man@users.sf.net>

	Stop responding to pings when TALK_TO_MASTER was never set and no LAN
	broadcast server discovery queries came in. This should get servers
	off the master list if you turn TALK_TO_MASTER to 0 and restart the
	server. They'll linger on a bit on some users' lists, especially if
	the server is on a LAN and queried from the LAN a lot, though.

2009-01-25  Bazaarmagetron  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2009-01-25  Manuel Moos  <z-man@users.sf.net>

	Small translation bump.

2009-01-25  bazaarmagetron

	Manuel Moos: Small translation bump.

2009-01-24  epsy  <epsy46@free.fr>

	forgot to remove this little helper

2009-01-23  epsy  <epsy46@free.fr>

	Fixed handling of subdirectories on authorities

2009-01-22  Manuel Moos  <z-man@users.sf.net>

	updated a bit.

2009-01-22  Manuel Moos  <z-man@users.sf.net>

	Less empty line spam with --scm switch.

2009-01-22  Manuel Moos  <z-man@users.sf.net>

	Partial translation :)

2009-01-22  Manuel Moos  <z-man@users.sf.net>

	Added --scm switch that allows less clutter when checking in partial translations.

2009-01-21  Manuel Moos  <z-man@users.sf.net>

	Better logic for lowering rim wall rendering height to match the sky height.

2009-01-19  Manuel Moos  <z-man@users.sf.net>

	Worked around SDL/input system bug: composite characters (" + a -> ä)
	never send SDL_KEYUP events when the last key is released, so the key
	repeat system needs to ignore them.

2009-01-18  Manuel Moos  <z-man@users.sf.net>

	Removed faulty assertion.

2009-01-18  Manuel Moos  <z-man@users.sf.net>

	Applied hoop's zone rendering patch. 'tis good.

2009-01-17  Manuel Moos  <z-man@users.sf.net>

	Merging own work.

2009-01-17  Manuel Moos  <z-man@users.sf.net>

	Even better fix for zthread detection.

2009-01-17  Manuel Moos  <z-man@users.sf.net>

	Fixed zthread detection: if compilation succeeded, but running failed,
	the non-working LIBS and CFLAGS were not reset. Also, the "will it
	compile?" test now actually has a success chance.

2009-01-16  epsy  <epsy46@free.fr>

	/op should now give messages when resulting access level is same as original.

2009-01-16  Daniel Lee Harple  <leeharple@gmail.com>

	Corrected a word in the english language file.

2009-01-16  Manuel Moos  <z-man@users.sf.net>

	Also accept authentication if client sends a server IP that matches
	the resolved SERVER_DNS name.

2009-01-15  Manuel Moos  <z-man@users.sf.net>

	Sending /team chat to sender via server controlled chat message, not
	as a console message. This fixes any clientside decorations.

2009-01-14  Daniel Lee Harple  <leeharple@gmail.com>

	Enabled sound again. Be sure to update to latest osxlibs package from https://sourceforge.net/project/showfiles.php?group_id=110997&package_id=266788

2009-01-14  z-man

	Turned down optimization level. Seems to solve the crash issue.

2009-01-12  Manuel Moos  <z-man@users.sf.net>

	Ignoring map version again.

2009-01-12  Manuel Moos  <z-man@users.sf.net>

	Added check for map version.

2009-01-11  Manuel Moos  <z-man@users.sf.net>

	Added comment.

2009-01-10  Manuel Moos  <z-man@users.sf.net>

	Don't spam about unknown tags in server config files.

2009-01-06  Manuel Moos  <z-man@users.sf.net>

	Make sure nonsense GCC option doesn't get added even if it is accepted.

2009-01-04  Manuel Moos  <z-man@users.sf.net>

	Added check for silly GCC flag to avoid creation of file named "ption".

2009-01-04  Manuel Moos  <z-man@users.sf.net>

	ChangeLog and fingerprint are now generated from bzr, too.

2009-01-04  Bazaarmagetron  <z-man@users.sf.net>

	Merging conflict from bzr, eliminating epsy's huge reformat:
	epsy 2009-01-02 1/ move "made by xxx" headers from language files to AUTHORS

2009-01-02  epsy  <epsy46@free.fr>

	1/ move "made by xxx" headers from language files to AUTHORS
	2/ Fix ^Ms in language/polish_transliterated.txt .. Need author to fix them in his "utf8" version

2009-01-02  luke-jr

	missing newlines

2009-01-02  luke-jr

	new polish files; polish.txt is UTF-8 -> Latin-1 translit

2009-01-02  luke-jr

	fix include spelling

2009-01-02  luke-jr

	new Polish translation files from rafal ciesiak

2008-12-31  Manuel Moos  <z-man@users.sf.net>

	Oops, fixed non-krawall compilation.

2008-12-31  Manuel Moos  <z-man@users.sf.net>

	Disabling CASACL during RINCLUDE.

2008-12-31  Bazaarmagetron  <z-man@users.sf.net>

	Automatic merging of commits that would change history order:
	------------------------------------------------------------
	revno: 964.1.1
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: armagetronad
	timestamp: Wed 2008-12-31 16:26:49 +0100
	message:
	Fixed odd segmentation fault on version generation.

2008-12-31  Manuel Moos  <z-man@users.sf.net>

	Fixed odd segmentation fault on version generation.

2008-12-31  Manuel Moos  <z-man@users.sf.net>

	Merging own work.

2008-12-31  Manuel Moos  <z-man@users.sf.net>

	Fixed more fallout from the stricter access level checks.
	Fixed crash when issuing kick votes.

2008-12-26  Manuel Moos  <z-man@users.sf.net>

	Oops, messed up function call.

2008-12-26  Manuel Moos  <z-man@users.sf.net>

	Fixed potential access level elevation in map settings; a user would have to smuggle a newline into XML strings (seems impossible, but one never knows) and use CASACL before his real setting.

2008-12-27  epsy  <epsy46@free.fr>

	reverted to old behaviour for now and added TODO

2008-12-26  epsy  <epsy46@free.fr>

	have batch/make/version make use of bzr if path is versionned, putting in version, when appliable, revno, tag, and build date(when working tree is modified)

2008-12-26  Manuel Moos  <z-man@users.sf.net>

	Adaptions to last changes; some setting changes still caused assertion failures.

2008-12-26  Manuel Moos  <z-man@users.sf.net>

	Map settings are now executed with the access level of the user setting MAP_FILE.
	/console chat commands now work in all operation modes of the client.

2008-12-18  Daniel Lee Harple  <leeharple@gmail.com>

	Actually use server_args from rc.config

2008-12-17  Manuel Moos  <z-man@users.sf.net>

	Added one top level call of AX_CXXFLAGS_GCC_OPTION() to fix bug 307790.

2008-12-17  Manuel Moos  <z-man@users.sf.net>

	Disabling -Wno-strict-overflow for now.

2008-12-16  Daniel Lee Harple  <leeharple@gmail.com>

	Ignore all .DS_Store files

2008-12-16  Daniel Lee Harple  <leeharple@gmail.com>

	Fixed Custom Connect connect action text.

2008-12-13  epsy  <epsy46@free.fr>

	Don't wait for silenced players at start.

2008-12-12  epsy  <epsy46@free.fr>

	* Fix subdirectory handling for shorthand authorities
	* Have PLAYER_MESSAGE retrieve the message to be sent using operator >> instead of tString::ReadLine, allowing use of newlines but forcing the use of quotes

2008-12-11  Manuel Moos  <z-man@users.sf.net>

	Avoiding unwanted negative boosts.

2008-12-11  Manuel Moos  <z-man@users.sf.net>

	Avoiding division by zero when breaking from a wall and CYCLE_WALL_NEAR is 0.

2008-12-11  Manuel Moos  <z-man@users.sf.net>

	Only add -Wno-strict-overflow if the compiler supports it.

2008-12-11  Manuel Moos  <z-man@users.sf.net>

	Removed old debug code.

2008-12-10  Manuel Moos  <z-man@users.sf.net>

	Moved MAXCLIENTS from CXXFLAGS to config.h.

2008-12-10  Manuel Moos  <z-man@users.sf.net>

	Respect display list blacklist even in debug mode.

2008-12-10  Manuel Moos  <z-man@users.sf.net>

	Extended display list blacklist to Mesa 7.1.

2008-12-10  Manuel Moos  <z-man@users.sf.net>

	Display list blacklist cut down to Mesa 7.0.x. All other versions tested 
	seemed to behave fine.

2008-12-09  Manuel Moos  <z-man@users.sf.net>

	Reduced per-netobject/per-client memory cost.
	Upped dedicated server client limit to 32.
	Added --with-maxclients configure argument.

2008-12-09  Daniel Lee Harple  <leeharple@gmail.com>

	More files to ignore

2008-12-09  Daniel Lee Harple  <leeharple@gmail.com>

	Fixed touch typo

2008-12-09  Daniel Lee Harple  <leeharple@gmail.com>

	use const

2008-12-09  Manuel Moos  <z-man@users.sf.net>

	Less noisy OpenGL error reporting.

2008-12-09  Daniel Lee Harple  <leeharple@gmail.com>

	Corrected conditional

2008-12-09  Daniel Lee Harple  <leeharple@gmail.com>

	• Added option for a validate function on setting items (ShouldChangeFuncT) that determines whether or not a value should be changed.
	• Added validate function to restrict MAX_CLIENTS.
	• Added $max_clients_limit language string.
	
	TODO: update constructors for rest of configuration types.

2008-12-08  nemostultae

	• Use batch/make/version to determine version on Mac OS X.
	• Generate dated version on bzr releases on Mac OS X.
	• Set batch/make/version executable.

2008-12-08  nemostultae

	Silence warning on Mac OS X about s_topSourceDir

2008-12-08  nemostultae

	Remove Info.plist from Copy build phase.

2008-12-07  Manuel Moos  <z-man@users.sf.net>

	More adaptions to GCC 4.3.

2008-12-07  Manuel Moos  <z-man@users.sf.net>

	Disabling signed overflow warnings. They happen easily with templates.

2008-12-07  Manuel Moos  <z-man@users.sf.net>

	Added detection for newer versions of Mesa Software rendering.

2008-12-07  Manuel Moos  <z-man@users.sf.net>

	Oops, corrected memset (had value and len parameters swapped).

2008-12-07  Manuel Moos  <z-man@users.sf.net>

	First batch of adaptions to new warnings of GCC 4.3.

2008-12-07  Manuel Moos  <z-man@users.sf.net>

	-Wconversion got a lot more pedantic and annoying in GCC 4.3, so moving it up one code level.

2008-12-06  Manuel Moos  <z-man@users.sf.net>

	Model rendering uses display lists even if they're blacklisted (but not if they're deselected in the menu.)

2008-12-06  Manuel Moos  <z-man@users.sf.net>

	Teams that haven't played a single round are now potentially given a new color at round start.
	Hopefully, this is the really final good way to fix bug 261469.
	Also, the recoloring if colorIndex >= maxTeams only happens in the
	elimination mode where the highest colored team gets eliminated first
	to avoid confusion by too many recolorings.

2008-12-05  Manuel Moos  <z-man@users.sf.net>

	Redder default red.

2008-12-05  Manuel Moos  <z-man@users.sf.net>

	Team color index is now guaranteed to be < (SP_)TEAMS_MAX.
	Fixes bug 261469.

2008-12-05  Manuel Moos  <z-man@users.sf.net>

	Fixed playback errros when browsing the master list; duplicate server entries were not taken care of on playback, only while recording, causing a mismatch of network message IDs later.

2008-12-05  Manuel Moos  <z-man@users.sf.net>

	No more client state changes in display lists or list deletions in glBegin/glEnd blocks (both should have been harmless, but the list deletions definitely were outside of the GL specs.
	Added python script checking bugle trace logs for stuff like that.

2008-12-05  Manuel Moos  <z-man@users.sf.net>

	Only logging address if it changed.

2008-12-04  Manuel Moos  <z-man@users.sf.net>

	Also closing all glBegin() blocks before calling glEndList().

2008-12-04  Manuel Moos  <z-man@users.sf.net>

	Fixed OpenGL errors:
	- avoiding nested glBegin()s with model rendering
	- avoiding to call display lists when a glBegin() block is open

2008-12-03  Manuel Moos  <z-man@users.sf.net>

	Fixed invalid setting.

2008-12-03  Manuel Moos  <z-man@users.sf.net>

	Removed default debug grid again.

2008-12-03  Manuel Moos  <z-man@users.sf.net>

	Removed limits on ports in server bookmark and custom connect menus.
	Fixes #253978.

2008-12-03  Manuel Moos  <z-man@users.sf.net>

	Added removal of some created directories on uninstall via script.

2008-12-03  Manuel Moos  <z-man@users.sf.net>

	Urgh. Left some disorienting experimental code in the last commit.

2008-12-03  Manuel Moos  <z-man@users.sf.net>

	small refactoring of glance reset.

2008-12-02  Manuel Moos  <z-man@users.sf.net>

	Replaced checks whether a player is in game with ->CurrentTeam(), they
	were using IsSpectating(), which doesn't work with AUTO_TEAM 0.
	Fixes 241593.

2008-12-02  epsy  <epsy46@free.fr>

	fixed bug 303239

2008-12-02  epsy  <epsy46@free.fr>

	fixed compilation errors with zthread on

2008-12-02  Manuel Moos  <z-man@users.sf.net>

	Better distinction between green and gold.

2008-12-02  Manuel Moos  <z-man@users.sf.net>

	Fixed crash in string search (triggered, for example, with friend search in the server browser).

2008-11-30  epsy  <epsy46@free.fr>

	fix non-zthread builds, add a message whenever getting an IP address from masters

2008-11-28  Bazaarmagetron  <z-man@users.sf.net>

	Automatic merging of commits that would change history order:
	------------------------------------------------------------
	revno: 905.1.7
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: armagetronad
	timestamp: Mon 2008-11-24 23:32:33 +0100
	message:
	Clarified vote_redunant a bit.
	------------------------------------------------------------
	revno: 905.1.6
	committer: epsy <epsy46@free.fr>
	branch nick: 0.2.8-armagetronad-work
	timestamp: Sun 2008-11-23 18:59:27 +0100
	message:
	disable pthread
	------------------------------------------------------------
	revno: 905.1.5
	committer: epsy <epsy46@free.fr>
	branch nick: 0.2.8
	timestamp: Mon 2008-10-27 12:41:42 +0100
	message:
	Fix Durka's issue
	------------------------------------------------------------
	revno: 905.1.4
	committer: epsy <epsy46@free.fr>
	branch nick: 0.2.8
	timestamp: Sat 2008-10-25 14:39:52 +0200
	message:
	Fixed bug #287683.
	------------------------------------------------------------
	revno: 905.1.3
	committer: epsy <epsy46@free.fr>
	branch nick: 0.2.8
	timestamp: Fri 2008-10-24 18:59:30 +0200
	message:
	feedback for /listadmins and /listplayers
	------------------------------------------------------------
	revno: 905.1.2
	committer: epsy <epsy46@free.fr>
	branch nick: 0.2.8
	timestamp: Fri 2008-10-24 18:20:20 +0200
	message:
	KRAWALL -> KRAWALL_SERVER X_x
	------------------------------------------------------------
	revno: 905.1.1
	committer: epsy <epsy46@free.fr>
	branch nick: 0.2.8
	timestamp: Fri 2008-10-24 18:12:10 +0200
	message:
	Default LEGACY_LOG_NAMES to true on non-authentication builds.

2008-11-24  Manuel Moos  <z-man@users.sf.net>

	Clarified vote_redunant a bit.

2008-11-23  epsy  <epsy46@free.fr>

	disable pthread

2008-10-27  epsy  <epsy46@free.fr>

	Fix Durka's issue

2008-10-25  epsy  <epsy46@free.fr>

	Fixed bug #287683.

2008-10-24  epsy  <epsy46@free.fr>

	feedback for /listadmins and /listplayers

2008-10-24  epsy  <epsy46@free.fr>

	KRAWALL -> KRAWALL_SERVER X_x

2008-10-24  epsy  <epsy46@free.fr>

	Default LEGACY_LOG_NAMES to true on non-authentication builds.

2008-10-22  luke-jr

	http://sourceware.org/ml/libc-help/2008-05/msg00072.html
	it is necessary to either pthread_mutexattr_init or not specify a mutexattr

2008-10-18  luke-jr

	todo in trunk

2008-10-18  luke-jr

	this seems to fix pthreads-- please test!

2008-10-18  Bazaarmagetron  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2008-10-18  epsy  <epsy46@free.fr>

	Disable /listadmins in authentication-disabled builds, too

2008-10-18  luke-jr

	epsys patch for pthreads

2008-10-18  luke-jr

	epsy or bzr messed up; this disables pthread again

2008-10-18  epsy  <epsy46@free.fr>

	Disable /listadmins in authentication-disabled builds, too

2008-10-11  luke-jr

	disable pthread support for now
	REVERT THIS WHEN FIXED

2008-09-30  epsy  <epsy46@free.fr>

	Reverted epsy's revert
	Will follow up with configure-disabling
	------------------------------------------------------------------------
	r8587 | bazaarmagetron | 2008-10-11 12:54:01 -0500 (Sat, 11 Oct 2008) | 2 lines
	
	epsy: Removed luke's breaking changes, as they are breaking and have been given no attention in weeks.

2008-10-11  epsy  <epsy46@free.fr>

	Removed luke's breaking changes, as they are breaking and have been given no attention in weeks.

2008-09-30  epsy  <epsy46@free.fr>

	remove references to the /admins command from non-dedicated builds

2008-09-30  epsy  <epsy46@free.fr>

	/admins now shows access levels made with AUTHORITY_LEVEL, too

2008-09-30  epsy  <epsy46@free.fr>

	Show number of results when using the search function of /players

2008-09-30  epsy  <epsy46@free.fr>

	Whoops, forgot that

2008-09-29  epsy  <epsy46@free.fr>

	Made UNSILENCE alias of VOICE

2008-09-29  epsy  <epsy46@free.fr>

	Revamped the /admins command

2008-09-28  epsy  <epsy46@free.fr>

	allow an authority to claim one to be from another authority, as long as the two authorities share the same base domain

2008-09-25  epsy  <epsy46@free.fr>

	fix some confusion with VOTES_SUSPEND and VOTING_SUSPEND

2008-09-17  epsy  <epsy46@free.fr>

	winzone min rount/last death times are now REALs, allowing moar than 21797296784 years of waiting for winzone

2008-09-16  epsy  <epsy46@free.fr>

	Whoops, forgot to remove that

2008-09-16  luke-jr

	duh, missing file

2008-09-15  luke-jr

	pthread support for armathentication; someone please test

2008-09-13  epsy46  <epsy46@free.fr>

	AUTHORITY_LEVEL, finally :)

2008-09-10  epsy46  <epsy46@free.fr>

	fixed some of the missing command help texts

2008-09-10  epsy46  <epsy46@free.fr>

	give admins a message when a name-locked buddy "tries" to rename

2008-09-08  Manuel Moos  <z-man@users.sf.net>

	Removed includes.

2008-09-08  Manuel Moos  <z-man@users.sf.net>

	Of course, pure touch does not clear the files, as the purpose of the echo command was.

2008-09-06  luke-jr

	echo is not portable, so use touch and printf

2008-09-06  Manuel Moos  <z-man@users.sf.net>

	Made copy constuctor of tList<> private.
	Added swap function to compensate.
	Fixed some fallout in the memory manager and menus.

2008-09-02  epsy46  <epsy46@free.fr>

	/login and /logout are now spam-tested

2008-09-01  epsy46  <epsy46@free.fr>

	Spectators didn't get a message saying they couldn't vote when using the chat interface

2008-08-31  Manuel Moos  <z-man@users.sf.net>

	Added clearing of textures/display lists after the app gets reactivated.

2008-08-25  epsy46  <epsy46@free.fr>

	enough with it, backported /console

2008-08-23  epsy46  <epsy46@free.fr>

	replaced the ctxt is NULL error with something more useful

2008-08-19  Manuel Moos  <z-man@users.sf.net>

	Fixed crash where missing normals/texture coordinates caused model rendering crash.

2008-08-13  Manuel Moos  <z-man@users.sf.net>

	Fixed various instant win condition time problems.

2008-08-05  Manuel Moos  <z-man@users.sf.net>

	Added display list usage blacklist, only member so far: Mesa.

2008-08-02  Manuel Moos  <z-man@users.sf.net>

	Some display list assertions and safety measures added.

2008-07-29  Manuel Moos  <z-man@users.sf.net>

	Fixed ADMINS command, output formatting leaves a lot to be desired
	still.

2008-07-24  Manuel Moos  <z-man@users.sf.net>

	Fixed some warnings.

2008-07-21  epsy46  <epsy46@free.fr>

	er, disable that

2008-07-21  epsy46  <epsy46@free.fr>

	/admin catches tAbortLoadings, preventing the game from ending as soon as someone would say /admin casacl without arguments

2008-07-07  nemostultae

	Added Polish translation by Rafal Cieslak http://forums.armagetronad.net/viewtopic.php?t=18480&start=15

2008-07-04  epsy46  <epsy46@free.fr>

	/players now shows your own IP and network version

2008-07-04  epsy46  <epsy46@free.fr>

	Add myself as dev in AUTHORS

2008-07-04  epsy46  <epsy46@free.fr>

	/players tells you your search query and tells you if your search didn't return anything

2008-07-04  epsy46  <epsy46@free.fr>

	CLIENT! Stop eating your own name! :@

2008-07-04  epsy46  <epsy46@free.fr>

	Typo.

2008-07-04  epsy46  <epsy46@free.fr>

	No, it's really not that i love this line, really not

2008-07-04  epsy46  <epsy46@free.fr>

	/op would complain that the admin's "victim is already at maximal rights" when /op'ping an auth'd player without an access level as argument, trough the player could be still promoted

2008-06-20  epsy46  <epsy46@free.fr>

	UNLOCK_ALL_TEAMS

2008-06-20  epsy46  <epsy46@free.fr>

	TEAM_ELIMINATION_MODE defines the way ArmagetronAd should eliminate teams when there's more teams than TEAMS_MAX: Set to 0 it will try to keep as many players as possible, kicking teams that have the lowest score if teams are balanced; Set to 1 it will try to keep the best team colors (Team blue, then Team gold, then Team red, etc); Set to 2 it will kick out the teams that have the lowest score, regardless of balance. Copy-paste ftw.

2008-06-20  epsy46  <epsy46@free.fr>

	fixed redundant " is not allowed to rename to <name>" messages on the client

2008-06-19  epsy46  <epsy46@free.fr>

	fixed more stuff with /team messages upon invite

2008-06-15  Manuel Moos  <z-man@users.sf.net>

	Moved sn_supportRemoteLogins to a place where it is always available.

2008-06-12  epsy46  <epsy46@free.fr>

	That was the most confusing message ver made.

2008-06-08  epsy46  <epsy46@free.fr>

	Set most ACCESS_LEVEL_ settings only avaliable to owners

2008-06-08  epsy46  <epsy46@free.fr>

	NEVER try Â« generic socks Â» when GLOBAL_ID is on if connection to a master server fails, otherwise it can generate weird mismatches when authing. This fixes bug #220195

2008-06-07  epsy46  <epsy46@free.fr>

	fixed stuff with invites, spectators and /team messages

2008-05-26  Manuel Moos  <z-man@users.sf.net>

	Safeguard against deadlocks: play time can never be negative.

2008-05-18  epsy46  <epsy46@free.fr>

	use colored team names here and there

2008-05-17  epsy46  <epsy46@free.fr>

	VOTING_SUSPEND -> VOTES_SUSPEND

2008-05-15  epsy46  <epsy46@free.fr>

	team name wasn't appearing properly in /teams

2008-05-14  epsy46  <epsy46@free.fr>

	SP_TEAM_MAX_PLAYERS 0 no longer crashes the server

2008-05-12  epsy46  <epsy46@free.fr>

	fixed stuff i didn't notice on first shot

2008-05-12  epsy46  <epsy46@free.fr>

	moved things around, groupped --enable-krawall, --enable-armathentication and --enable-authentication, and slowly killing --disable-glout

2008-05-12  epsy46  <epsy46@free.fr>

	woops :)

2008-05-12  epsy46  <epsy46@free.fr>

	Fixed the color in "--> Teammates"; allow <<'ing and eTeam into a colorstring; also added eTeam::GetColoredName()

2008-05-12  epsy46  <epsy46@free.fr>

	i got no clue what i did, but it works

2008-05-12  epsy46  <epsy46@free.fr>

	fixed accidental commit ;)

2008-05-12  epsy46  <epsy46@free.fr>

	include nNetwork.h in ePlayer.cpp (hoax try this)

2008-05-11  epsy46

	Serval changes:
	* se_SecretConsoleOut is now _way_ more polyvalent
	* Forcing an UpdateName() upon auth
	* Admin commands are now logged with username(or (G)?ID, if the user is logged in), and are showed to everyone in the server who have an access level better than ACCESS_LEVEL_SPY_CONSOLE
	* (very minor) ./bootstrap.sh is now less intrusive regarding +x flagging

2008-05-07  wrtlprnft  <wrtlprnft@users.sf.net>

	Put the code to log score differences and the code to update the suspend count into separate functions. Needed for the sty+ct branch and I guess it's a good idea to minimize confusing function names :-)

2008-05-05  wrtlprnft  <wrtlprnft@users.sf.net>

	- fixed output of --doc: even if a command is exactly 30 characters long it gets a space before its description
	- documentation for all ladderlog messages (useful for things like SACRIFICE)
	- optional logging of chat to chatlog.txt
	- optional logging of chat to ladderlog
	- optional timestamps for console and ladderlog messages

2008-04-30  wrtlprnft  <wrtlprnft@users.sf.net>

	Output negative GAME_TIMEs, too, as a START_IN replacement

2008-04-28  epsy46

	Do not read the diff :)

2008-04-28  epsy46

	fixed mysterious nickname reverts

2008-04-28  epsy46

	forcing name update when DeAuthenticating, fixing the /deop bug

2008-04-25  wrtlprnft  <wrtlprnft@users.sf.net>

	fixed warning when compiling the dedicated server

2008-04-25  wrtlprnft  <wrtlprnft@users.sf.net>

	New member function to eLadderLogWriter to avoid doing expensive calculation just to have them discarded because the output isn't enabled

2008-04-23  wrtlprnft  <wrtlprnft@users.sf.net>

	replaced strnlen by our own implementation because it's nonstandard. If anyone knows how to use the (probably optimized) glibc version if it exists, please do it :-)

2008-04-21  epsy46  <epsy46@free.fr>

	show network version in /players, too

2008-04-21  epsy46  <epsy46@free.fr>

	you could demote someone of the same level as yourself

2008-04-21  epsy46  <epsy46@free.fr>

	hide login messages, too

2008-04-20  epsy46  <epsy46@free.fr>

	Fixing non-auth compilation.

2008-04-20  epsy46  <epsy46@free.fr>

	SILENCE and VOICE use GetColoredName() instead of GetName() and don't spam.

2008-04-20  epsy46  <epsy46@free.fr>

	woops, everyone could get silenced right upon connection

2008-04-20  wrtlprnft  <wrtlprnft@users.sf.net>

	made use of the new 0xRESETT tColorStringProxies. Also removed a lot of tabs that made the code unreadable at tabstop=4 (unfortunately we settled to use spaces for indentation, I agree that using tabs at the beginning of lines would have been way better)

2008-04-20  wrtlprnft  <wrtlprnft@users.sf.net>

	fixed a typo, removed useless 0xRESETT and an access level setter to Administrator (that's the default), and documented some changes in NEWS

2008-04-20  epsy46  <epsy46@free.fr>

	AUTO_TEAM_SPEC_SPAM will hide spectator joins/part messages, as it's generally annoying in the contextts it is used in, mostly important matches and such.

2008-04-20  epsy46  <epsy46@free.fr>

	Voters are now wearing silenced state, letting them still sillenced when reconnecting, also, show suspended players leaving and joining.

2008-04-20  epsy46  <epsy46@free.fr>

	/admin KILL could kill dead people sometimes, also added /admin SLAP, to enforce the badmin's authority.

2008-04-19  epsy46  <epsy46@free.fr>

	Serval changes:
	* Global ID hiding now really works
	* Clarified access_level_hide_of_help and access_level_hide_to_help
	* Show a server-defined prefix before a hidden player's Global ID and access level in /players
	* Different /invite messages depending on if the team which is being joined is locked or not.
	* tColoredStringProxy ( -1, -1, -1 ) now gives 0xRESETT when <<'d to a tString

2008-04-19  wrtlprnft  <wrtlprnft@users.sf.net>

	removed one redundant call to strlen and replaced two others by strnlen, all of which were executed on a per-character, per-frame basis

2008-04-19  wrtlprnft  <wrtlprnft@users.sf.net>

	Merging changes that happened while i was working on my previous commit. There's gotta be a better way to do this.

2008-04-19  epsy46  <epsy46@free.fr>

	fixed mismatches that happened when TRUST_LAN is active, but seemed as there was no mismatch (there was indeed none)

2008-04-19  wrtlprnft  <wrtlprnft@users.sf.net>

	Added settings to separately enable/disable all ladderlog outputs. Currently all are enabled by default, but this may change for further additions.

2008-04-19  epsy46  <epsy46@free.fr>

	0xRESETT will only be filtered when full filters are on, fixing the /invite message bug.

2008-04-17  z-man

	Fixed bug where a dead cylce would move passively through the hole created by its own explosion and award the hole score to its player.

2008-04-16  Manuel Moos  <z-man@users.sf.net>

	Removed automake macro from comment. It seemed to confuse aclocal.

2008-04-13  wrtlprnft  <wrtlprnft@users.sf.net>

	fixed kyle's bug about people being able to deop players of equal access level without applying his patch verbatimly

2008-04-12  epsy

	Anti-escaladation check is now done inside se_ChangeAcess, fixing a security flaw.

2008-04-10  epsy

	Whoops. Put the search string to lowercase only one time and filter colors in the line we're searching in.

2008-04-10  epsy

	/players now shows the players' color and allows searching ( thanks to kyle for the patch, even if it didn't work :) )

2008-04-09  epsy

	Updated NEWS (and the other edited files) about my last change.

2008-04-09  epsy

	/op now acts the same way as /shuffle. Removed /promote and /demote.

2008-04-09  Manuel Moos  <z-man@users.sf.net>

	Automatic merging of commits that would change history order:
	------------------------------------------------------------
	revno: 798.1.1
	committer: epsy
	branch nick: 0.2.8
	timestamp: Tue 2008-04-08 19:10:21 +0200
	message:
	Locked teams aren't taken into account when looking for the least populated team. (Used for team imbalance and auto joining.)

2008-04-08  epsy

	Locked teams aren't taken into account when looking for the least populated team. (Used for team imbalance and auto joining.)

2008-04-08  z-man

	Moved emergency checkpoints in wall datastructure to a place where they'll hopefully cause less spam.

2008-04-04  z-man

	Aborting gameobject move if only horribly bad exit edges can be found for the current face. This is to combat floating point inaccuracies in eFace::IsInside(), it can happen that a given point is not considered to be inside any face of the grid.

2008-03-25  Manuel Moos  <z-man@users.sf.net>

	Added crude clientside play time tracking and server controlled (but clientside executed) minimal experience levels.

2008-03-24  Manuel Moos  <z-man@users.sf.net>

	Documented the last two changes so people know what wrtl's suggestions actually were :)

2008-03-24  Manuel Moos  <z-man@users.sf.net>

	Implemented wrtl's suggestion of reduced spam level for /team messages, and also reducing the time during which you cannot say the same thing twice by the same factor.

2008-03-24  Manuel Moos  <z-man@users.sf.net>

	Implemented wrtl's suggestion for color code penalty to spam.
	To compensate a bit, the default spam settings are now a abit nicer, and
	there are at least three warnings (configurable) before you get kicked by spam.

2008-03-24  Manuel Moos  <z-man@users.sf.net>

	Duplicate login errors now go to the player trying to log in, not the one who already is logged in.

2008-03-24  Manuel Moos  <z-man@users.sf.net>

	Backwards compatible support for clientside silencing of /rtfm output.

2008-03-24  Manuel Moos  <z-man@users.sf.net>

	Corrected access level given in rtfm_denied message.

2008-03-24  Manuel Moos  <z-man@users.sf.net>

	corrected comment.

2008-03-24  wrtlprnft  <wrtlprnft@users.sf.net>

	/rtfm now respects serverside silencing and the spam protection, plus there's an announcement to everyone if someone uses it (but only the sender and receiver get spammed with the complete help text, of course). I don't really understand the code to make a message silencable by the client, though :-(

2008-03-20  z-man

	Better new team creation message.

2008-03-20  z-man

	If a player who is currently on a team creates a new team, there is now an immediate message about it.

2008-03-20  z-man

	Fixed recording/playback desyncing bug with CASACL, the changed access level could leak on playback.

2008-03-20  z-man

	Splitting too long console messages into several packets instead of just truncating them. Sometimes.

2008-03-20  Manuel Moos  <z-man@users.sf.net>

	More economic sending of empty strings.
	Authentication will no longer fail mysteriously if 0.2.0 clients are present (don't ask :) ).
	Fixed playback hickups.

2008-03-20  Manuel Moos  <z-man@users.sf.net>

	Fixed mysterious console message reordering bug: Broadcast() was sending messages with a lower priority.

2008-03-20  Manuel Moos  <z-man@users.sf.net>

	MIN_VOTERS now correctly applied to votes that not everyone can technically vote on. The messages are still a bit strange (first, it looks as if the vote got accepted as a valid vote), but we'll have to live with that (or duplicate some code).

2008-03-20  Manuel Moos  <z-man@users.sf.net>

	The client now knows when a position in a team may become vacant and offers to join that team in the menu.

2008-03-20  Manuel Moos  <z-man@users.sf.net>

	Just indentation.

2008-03-20  Manuel Moos  <z-man@users.sf.net>

	Fixed team menu bugs: "Join any/create new" is now always there when it makes sense, and team properties get updated on the client when players switch teams, so there will be no more spurious "Join x" messages on non-team servers.

2008-03-20  Manuel Moos  <z-man@users.sf.net>

	Added "spectate" item to team management menu, and spectator mode is only turned off after you join a team, not right when you enter the menu.

2008-03-19  z-man

	Undid test commits.

2008-03-19  Manuel Moos  <z-man@users.sf.net>

	Automatic merging of commits that would change history order:
	------------------------------------------------------------
	revno: 775.1.2
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: armagetronad
	timestamp: Wed 2008-03-19 21:02:00 +0100
	message:
	Test commit from bzr.
	------------------------------------------------------------
	revno: 775.1.1
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: 0.2.8-armagetronad-work
	timestamp: Wed 2008-03-19 20:45:00 +0100
	message:
	Empty merge to keep the peace between svn and bzr.
	------------------------------------------------------------
	revno: 770.1.4
	committer: epsy
	branch nick: 0.2.8
	timestamp: Wed 2008-03-19 20:21:23 +0100
	message:
	redo
	------------------------------------------------------------
	revno: 770.1.3
	committer: epsy
	branch nick: 0.2.8
	timestamp: Wed 2008-03-19 20:19:36 +0100
	message:
	undo
	------------------------------------------------------------
	revno: 770.1.2
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: 0.2.8-armagetronad-work
	timestamp: Wed 2008-03-19 20:12:10 +0100
	message:
	Empty merge to keep the peace between svn and bzr.
	------------------------------------------------------------
	revno: 770.1.1
	committer: Manuel Moos <z-man@users.sf.net>
	branch nick: 0.2.8
	timestamp: Wed 2008-03-19 19:56:58 +0100
	message:
	Fixed AI player names in client and removed debug breakpoints from tColoredString:RemoveColors

2008-03-19  Manuel Moos  <z-man@users.sf.net>

	Test commit from bzr.

2008-03-19  Manuel Moos  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2008-03-19  epsy

	redo

2008-03-19  epsy

	undo

2008-03-19  Manuel Moos  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2008-03-19  Manuel Moos  <z-man@users.sf.net>

	Fixed AI player names in client and removed debug breakpoints from tColoredString:RemoveColors

2008-03-19  z-man

	Test commit from svn.

2008-03-19  Manuel Moos  <z-man@users.sf.net>

	redo

2008-03-19  Manuel Moos  <z-man@users.sf.net>

	undo

2008-03-19  Manuel Moos  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2008-03-19  epsy

	Fixed AI player names in client and removed debug breakpoints from tColoredString:RemoveColors

2008-03-19  Manuel Moos  <z-man@users.sf.net>

	Fixed AI player names in client and removed debug breakpoints from tColoredString:RemoveColors

2008-03-19  z-man

	Removing annoying debug breakpoints.

2008-03-19  z-man

	Only clients really supporting the new votes get them now, and only they count for the totals.
	Undesired side effect so far: MIN_VOTERS is not taken into account properly, that still uses the total number of voters.

2008-03-19  z-man

	Fixed one-off error with kick vote to suspend vote transmogrification, converted epsy's TABS to spaces.

2008-03-19  nemostultae

	* Removed rDisplayList.h from Copy Headers task
	* Moved tColor.cpp to tools/ subgroup

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2008-03-18  wrtlprnft

	- fixed a client compilation warning
	- /rtfm now prints the message to the invoker, too, to catch errors
	- some language file fixes
	- whitespace corrections

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	eek, forgot help texts

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	* FILTER_COLOR_TEAM filters color in team messages
	* FILTER_DARK_COLOR_(STRINGS|SERVER_NAMES|NAMES|TEAM)

2008-03-18  wrtlprnft

	Fixed a bug with the display of authenticated names in the server browser.

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2008-03-18  epsy

	eek, forgot help texts

2008-03-18  epsy

	* FILTER_COLOR_TEAM filters color in team messages
	* FILTER_DARK_COLOR_(STRINGS|SERVER_NAMES|NAMES|TEAM)

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	eek, forgot help texts

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	* FILTER_COLOR_TEAM filters color in team messages
	* FILTER_DARK_COLOR_(STRINGS|SERVER_NAMES|NAMES|TEAM)

2008-03-18  wrtlprnft

	Durka's xcode file that includes tColor.cpp

2008-03-18  wrtlprnft

	new /rtfm command to send help messages to other players.

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	"we" forgot to initialize the alpha value :)

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	Fixed performance problems (string duplication) and bugs in color code interpretation.

2008-03-18  Manuel Moos  <z-man@users.sf.net>

	Avoiding needless copies of default help topics in memory (and fixing array element count bug on the go).

2008-03-18  wrtlprnft

	Primitive help system. See settings_dedicated.cfg:339 for a description of the new commands

2008-03-17  epsy

	Ah, i shouldn't code on mornings, names on client will really, i promise, appear again.
	Also restructured tColor, changed it to a class, added tColor::IsDark() and construction of a tColor from a color code. Set rFont.cpp to use it.

2008-03-17  Manuel Moos  <z-man@users.sf.net>

	numeric access level -> named access level in one server message.

2008-03-17  Manuel Moos  <z-man@users.sf.net>

	Better feedback messages; the vote submitter is now always informed that his vote was accepted, and the new vote notification is back.

2008-03-17  z-man

	Added missing output parameter.

2008-03-17  epsy

	Player names really appears again. :)

2008-03-16  wrtlprnft

	Append (and parse) a list of authenticated names to the big server info messages (the ones that make up the details you see on the server browser)

2008-03-16  epsy  <epsy46@free.fr>

	The Players name appear again in standalone mode. Also added VOTING_SUSPEND and RENAME to NEWS.

2008-03-16  Manuel Moos  <z-man@users.sf.net>

	Full case insensitive matches now take precedence over partial case
	sensitive matches. "KILL Z", if players z and Z-Man are online, now kills z.

2008-03-16  wrtlprnft

	Minor annoyance: the round end zone on freestyle game is now announced correctly

2008-03-16  Manuel Moos  <z-man@users.sf.net>

	Map load failures (including missing spawn points) now let the map be reverted to the last known working map.

2008-03-15  Manuel Moos  <z-man@users.sf.net>

	Voter always gets messages about the voting, no matter what privacy level is set.

2008-03-15  Manuel Moos  <z-man@users.sf.net>

	Typo.

2008-03-14  Manuel Moos  <z-man@users.sf.net>

	Added settings_authentication.cfg to list of configuration files to be distributed and installed. Whoops.

2008-03-14  nemostultae

	Only use ZThread in dedicated build

2008-03-13  wrtlprnft

	Have the server log the version of each connecting clients (I hope the max version the client sends is its current version)

2008-03-12  wrtlprnft

	Don't look at this patch. Especially not z-man.

2008-03-12  z-man

	Shuffling no longer uses tString::toInt so it can (and does) report input errors.

2008-03-12  wrtlprnft

	Add new default settings to settings_authentication.cfg

2008-03-11  Manuel Moos  <z-man@users.sf.net>

	No more double "not allowed to rename" messages.
	Immediate response to admin player rename is "player will be renamed".

2008-03-11  Manuel Moos  <z-man@users.sf.net>

	Applied epsy's name forcing patch with minor adaptions.

2008-03-11  wrtlprnft

	more helpful "you can't shuffle up" message

2008-03-11  wrtlprnft

	Actually make ACCESS_LEVEL_SHUFFLE_UP work...
	Don't look at the error, and if you do, please don't remember that I ever did such a stupid mistake.

2008-03-11  nemostultae

	Xcode changed something. armagetronad-dedicated is now explicitly known as
	compiled.mach-o.executable filetype. Well done Xcode...

2008-03-11  nemostultae

	Updated Mac OS X build instructions.

2008-03-10  Manuel Moos  <z-man@users.sf.net>

	QUIT now also works in the 'waiting for players, only spectators online'
	break.

2008-03-10  Manuel Moos  <z-man@users.sf.net>

	Disabling silly displaylist stats for the dedicated server.

2008-03-10  Manuel Moos  <z-man@users.sf.net>

	Cleaned up a bit of the configuration recording and playback chaos. "Quit" console command is broken on playback currently in some situations.
	Silenced /msg chat no longer echoed to administrators and server console.

2008-03-09  Manuel Moos  <z-man@users.sf.net>

	Removed unused variable.

2008-03-09  Manuel Moos  <z-man@users.sf.net>

	Small fix: made non-krawall compilation of epsy's patch work.

2008-03-09  Manuel Moos  <z-man@users.sf.net>

	Applied epsy's VOTING_SUSPEND patch.

2008-03-09  wrtlprnft

	Added WAIT_FOR_EXTERNAL_SCRIPT, a feature found in armahacktron that facilitates stdio scripting. Thanks epsy for isolating it from the rest of armahacktron

2008-03-09  z-man

	Typo.

2008-03-09  z-man

	Added ROUND_SCORE_TEAM ladderlog message.

2008-03-08  Manuel Moos  <z-man@users.sf.net>

	added bits.

2008-03-08  z-man

	Experimenting with different visuals for slowly collapsing zones.
	Take 1: When conquered, the zone lights up in white, then slows down. When the rotation stops, it darkens.

2008-03-08  z-man

	Voter datastructure (with a little more persistence than ePlayerNetID) is only used to store suspensions while the ePlayerNetID object does not exist.
	This avoids suspending everyone connecting from the same LAN all at once.

2008-03-08  z-man

	Re-added VOTE_USE_SERVER_CONTROLLED_KICK config item on the client to avoid UPGRADE messages.

2008-03-08  z-man

	Fixed clientside reception of server controlled vote items.

2008-03-08  z-man

	Added -O0 to debug configuration, just in case.

2008-03-08  z-man

	Recording fixes for the case when there are errors talking to the authority.

2008-03-08  z-man

	Added full user name to recording.

2008-03-08  z-man

	Fixed extra trailing \0  in playback strings.

2008-03-08  Manuel Moos  <z-man@users.sf.net>

	Fixed one vote item delivery bug. There must be another one hiding somewhere, though.

2008-03-08  Manuel Moos  <z-man@users.sf.net>

	Fixed blank screen bug; it was caused by bad tToDo recursion.

2008-03-07  z-man

	Don't show "IP=<empty>" in /players output.

2008-03-07  z-man

	Added eGameObject::OnRoundBegin(), called after game object creation.
	Used it in the zone code to fix the flickering empty zone glitch in sumo,
	and to avoid rare midgame zone ownership changes.

2008-03-06  Manuel Moos  <z-man@users.sf.net>

	added FORTRESS_COLLAPSE_SPEED to control the time between the conquest of a zone and the vanishing (and killing of the team members)

2008-03-06  z-man

	Fixed screen name reservation.

2008-03-06  z-man

	Strings get excess zeroes clamped away before they are written over the net. This fixes sporadic network message length discrepancies on playback. I hope the extra zeroes don't do harm elsewhere (string comparison is safe).

2008-03-06  z-man

	Adding method suffix and prefix to recording.

2008-03-06  z-man

	Fixed spurious rename message bug; it happened when you authenticated and changed your color during the same round.

2008-03-06  z-man

	Added login failure reason to playback.

2008-03-06  Manuel Moos  <z-man@users.sf.net>

	Restored behavior that kick votes over the chat interface don't get transformed to removal votes.

2008-03-06  Manuel Moos  <z-man@users.sf.net>

	All votes are now handled over the new server controlled system
	internally. For old clients (pre 0.2.8), the vote items disguise as
	kick votes (if they are kick or suspend votes) and are plainly
	invisible for include and command votes.
	The decision to transform a kick into a suspension is now made on vote
	creation time.

2008-03-05  Manuel Moos  <z-man@users.sf.net>

	Implemented "include" and "command" votes.

2008-03-05  Manuel Moos  <z-man@users.sf.net>

	If the team owning a zone is dead at round end, the zone does not collapse harmlessly; instead, it gets "touchy" and will collapse at the slightest contact with an enemy.

2008-03-05  Manuel Moos  <z-man@users.sf.net>

	Default hiding level adapted to docs: no hiding for anyone.

2008-03-05  Manuel Moos  <z-man@users.sf.net>

	Added access levels and individual biases for kick and suspend votes.
	Also added texts and config items for include and direct command votes.

2008-03-05  Manuel Moos  <z-man@users.sf.net>

	Shuffled around access levels. Authenticated now is all on the bottom, only barely above "Program". Default access level for remote users stays 15, only that it's now named "Remote User".

2008-03-05  Manuel Moos  <z-man@users.sf.net>

	Updated config file with new access levels.

2008-03-05  Manuel Moos  <z-man@users.sf.net>

	Added two access levels below authenticated that you can USER_LEVEL players to; intended to be used to take away rights authenticated players usually get (like, starting votes) for selected users.

2008-03-05  z-man

	Fixed oversized hole bug.

2008-03-05  z-man

	Disabled debug mode exception for chatbot settings on the server (for debug replays).

2008-03-05  z-man

	Faster logins in recording mode.

2008-03-05  z-man

	Ping improvements. I though I committed this yesterday.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Added VOTE_KICK_REASON.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Added new commands here, too.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Added new voting settings items.

2008-03-04  z-man

	Fixed armathentication compilation.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Suspension count is now stored in the eVoter data structure and has limited reconnection resistance.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Err, actually letting players into the game again :)

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Giving players better reasons why they can't join the game.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	VOTING_KICK_MINHARM now only affects votes that came via the menu.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Added VOTING_HARM_TIME to complement VOTING_KICK_TIME (applies to all harmful votes, currently kicks and suspensions).
	Added VOTING_KICK_MINHARM to transform the first kick votes against a poor newbie into suspensions automatically.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Added VOTING_SUSPEND_ROUNDS to control suspend vote duration.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Added "/vote suspend <player>".

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	added "/callvote"

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	finished "/vote kick" vote interface.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Avoiding redundant wall coordinates during holing. This makes the holer information a bit inaccurate; if someone "enlarges" a reviously existing hole, it will belong entirely to him, and not just the new bits.
	Duplicating last wall coordinate on Update() if there was a hole up to the wall end; this avoids "dragging" the hole along.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Filled vote stub for kick votes.

2008-03-04  Manuel Moos  <z-man@users.sf.net>

	Added chat interface stub for votes.

2008-03-01  Manuel Moos  <z-man@users.sf.net>

	Fix ammendment: avoiding short flicker.

2008-03-01  Manuel Moos  <z-man@users.sf.net>

	Deactivation events no longer minimize the application from fullscreen
	mode in Linux. The only known source for deactivation events is the
	screensaver, and ignoring them appears to scare it off :)

2008-03-03  z-man

	Repaired dedicated server.

2008-03-03  z-man

	Added ESC button to server connection that aborts the connection attempt.

2008-03-03  z-man

	Broke the unfortunate chain of events that leads to severe FPS drops on old clients on several links:
	- server no longer sends redundant cycle death sync messages.
	- client ignores redundant cycle death messages; they caused calls to eGameObject::Move on objects already removed from the activity list.
	- game objects removed from the active lists no longer have currentFace set
	- game objects removed from the list, when they move, just update their position and don't get a new currentFace.
	The root of the problem are inactive game objects that still have a currentFace set. That causes that face and all its replacement in the
	grid reordering code to be marked as "not to be simplified".

2008-03-03  z-man

	Not contacting master servers when the hostnames don't resolve.

2008-02-29  wrtlprnft

	Fixed a typo. Maybe this will be another test for the bzr merging thing.

2008-02-29  Manuel Moos  <z-man@users.sf.net>

	Extended allowed letters in authority URLs.

2008-02-20  Manuel Moos  <z-man@users.sf.net>

	Another workaround attempt for the "perfectly stable" OS ATI driver :) Same problem as last time, glColor() call at the end of a glBegin()/glEnd() block.

2008-02-20  wrtlprnft

	No longer print successful calls to ACCESS_LEVEL and USER_LEVEL to the console when loading a config file at start

2008-02-20  wrtlprnft

	Added logging of /admin commands

2008-02-18  Manuel Moos  <z-man@users.sf.net>

	Make sure cycle is dead when it gets removed from the game.

2008-02-18  Manuel Moos  <z-man@users.sf.net>

	Moved glColor() call outside of the last glBegin()/glEnd() block.

2008-02-18  Manuel Moos  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2008-02-18  Manuel Moos  <z-man@users.sf.net>

	Moved glColor() call outside of the last glBegin()/glEnd() block.

2008-02-18  Manuel Moos  <z-man@users.sf.net>

	Moved glColor() call outside of the last glBegin()/glEnd() block.

2008-02-18  Manuel Moos  <z-man@users.sf.net>

	Moved glColor() call outside of the last glBegin()/glEnd() block.

2008-02-18  wrtlprnft

	Added (UN)?LOCK to the list of commands accessible to moderators by default, fixed a typo and clarified that these settings are the default

2008-02-17  Manuel Moos  <z-man@users.sf.net>

	Reordered ingame menu so "Disconnect" is agan second from below.

2008-02-17  Manuel Moos  <z-man@users.sf.net>

	Fixed UNSUSPEND.

2008-02-17  wrtlprnft

	I just read that you're supposed to call glGetError until it stops returning errors. I guess it can't hurt to do so.

2008-02-17  Manuel Moos  <z-man@users.sf.net>

	Forgot to document the last setting.

2008-02-17  Manuel Moos  <z-man@users.sf.net>

	VOTES_CANCEL cancels all running polls.

2008-02-17  Manuel Moos  <z-man@users.sf.net>

	Fixed moviepack cycle rendering.

2008-02-17  Manuel Moos  <z-man@users.sf.net>

	Fixed moviepack wall rendering.

2008-02-17  Manuel Moos  <z-man@users.sf.net>

	Added forgotten config item.

2008-02-17  Manuel Moos  <z-man@users.sf.net>

	Longer timout for machines: they always are kept alive at least 5 minutes.

2008-02-16  Manuel Moos  <z-man@users.sf.net>

	Giving glyphs the right orientation so they don't get invisible when nobody else bothers to disable backface culling.

2008-02-16  Manuel Moos  <z-man@users.sf.net>

	Added UNSUSPEND.

2008-02-16  Manuel Moos  <z-man@users.sf.net>

	added SUSPEND command that forces a player so spectate for some rounds.

2008-02-16  Manuel Moos  <z-man@users.sf.net>

	Allow canceling the current display list; use that when textures are loaded. Previously, the texture upload was also recorded in the display list, which was a waste of memory.

2008-02-16  wrtlprnft

	if i already have to see all these errors at least make them a bit more descriptive.

2008-02-16  Manuel Moos  <z-man@users.sf.net>

	Always using glDrawElements now.

2008-02-16  Manuel Moos  <z-man@users.sf.net>

	Wall rendering objects no longer disappear prematurely.

2008-02-16  Manuel Moos  <z-man@users.sf.net>

	added a couple of automake variables to the registered ones.

2008-02-15  Manuel Moos  <z-man@users.sf.net>

	Disabling display list stats in release mode.

2008-02-15  Manuel Moos  <z-man@users.sf.net>

	Erm, you can now see your own trail again in incam mode :)

2008-02-15  Manuel Moos  <z-man@users.sf.net>

	Addon to last commit.

2008-02-15  Manuel Moos  <z-man@users.sf.net>

	Added checks so that KICK, SILENCE, VOICE only work on the server and KILL and (DIS)ALLOW_TEAM_CHANGE don't work on the client.

2008-02-15  Manuel Moos  <z-man@users.sf.net>

	Hey, what sense does an if (bla); return; have AT THE END of a function?

2008-02-15  Manuel Moos  <z-man@users.sf.net>

	Avoiding all but one of the ResetRenderState() calls.

2008-02-15  Manuel Moos  <z-man@users.sf.net>

	Caching old style HUD in display lists.

2008-02-15  Manuel Moos  <z-man@users.sf.net>

	Added warning about problematic GL calls in display lists.

2008-02-15  Manuel Moos  <z-man@users.sf.net>

	Smarter (more resource friendly) generation of cycle tail display lists.

2008-02-15  Manuel Moos  <z-man@users.sf.net>

	Avoiding redundant color settings.

2008-02-15  z-man

	Moved files to the right place, disabled ZThread linking for the client.

2008-02-15  z-man

	Disabled special case for the Mac; the display list crash seemed to have come from redundant color changes.

2008-02-15  Manuel Moos  <z-man@users.sf.net>

	Uniform vertex data for cycle wall display list.

2008-02-15  z-man

	Workaround for mysterious OSX display list crashes.
	
	--This line, and those below, will be ignored-
	
	M    gWall.cpp

2008-02-14  z-man

	Added rGL.cpp and rDisplayLists.h/cpp.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Clearing display list when temporary walls are removed.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Fixed rendering crash when player disappeared.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Attempt to fix Mac exit crash.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Fixed rendering errors with zones: they and other alpha blended game objects are always (well, single frame exceptions are allowed) rendered last.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Added support for authority "blurb" messages. Authorities can append lines to the "PASSWORD_OK" response, and those lines will be transformed and logged in ladderlog.txt.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Empty merge to keep the peace between svn and bzr.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Added support for authority "blurb" messages. Authorities can append lines to the "PASSWORD_OK" response, and those lines will be transformed and logged in ladderlog.txt.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Added support for authority "blurb" messages. Authorities can append lines to the "PASSWORD_OK" response, and those lines will be transformed and logged in ladderlog.txt.

2008-02-14  z-man

	Added example blurb message.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Clearing display lists when a texture is unloaded.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Fixed warning about missing config item when starting the dedicated server.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Oops, fixed compilation error.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Updated.

2008-02-14  Manuel Moos  <z-man@users.sf.net>

	Spectators can now send spectator-only chat with /team (unless they are silenced, of course.)

2008-02-13  Manuel Moos  <z-man@users.sf.net>

	Two more (redundant) fixes for the CASACL problem.

2008-02-13  Manuel Moos  <z-man@users.sf.net>

	Fixed spurious display list regeneration on alpha blending changes.

2008-02-13  Manuel Moos  <z-man@users.sf.net>

	Slightly less braindead way of keeping cycle walls rendered after the cycle died.

2008-02-13  Manuel Moos  <z-man@users.sf.net>

	Initializing initial color in all constructors.

2008-02-13  Manuel Moos  <z-man@users.sf.net>

	Disabling points at really infinite distance when display lists are recorded. Looks like the NVidia Linux driver can't handle them.

2008-02-13  Manuel Moos  <z-man@users.sf.net>

	Restored floor mirroring and repaired jagged lines on bottom of zones.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Display lists for zones, too.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Automatic merging of commits that would change history order:
	------------------------------------------------------------
	revno: 602.1.2
	committer: wrtlprnft <wrtlprnft@users.sf.net>
	branch nick: 0.2.8
	timestamp: Tue 2008-02-12 22:49:34 +0100
	message:
	err, this is a commit after bzr merge, no clue what to put here
	------------------------------------------------------------
	revno: 602.1.1
	committer: wrtlprnft <wrtlprnft@users.sf.net>
	branch nick: 0.2.8
	timestamp: Tue 2008-02-12 22:46:20 +0100
	message:
	Fixed two bugs regarding CASACL

2008-02-12  wrtlprnft  <wrtlprnft@users.sf.net>

	err, this is a commit after bzr merge, no clue what to put here

2008-02-12  wrtlprnft  <wrtlprnft@users.sf.net>

	Fixed two bugs regarding CASACL

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Bye, bye, Z-Trick. It was nice while it lasted. *sniff*

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Fixed Create-and-Call playlist mode.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	More bugfixing helpers.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Disabling wall "shadows" when display lists are used for them. Let's see if we can find something smarter.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Fixed wall flickering.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	More debug checks.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Fixed another OpenGL usage bug, the white background was rendered without starting a new Quad block.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Fixed unitialized variable bugs.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Disabled support for antialiasing and perspective correction settings. Antialiasing never worked properly anyway, and disabling perspective correction is just stupid :)

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Fixed wall display list generation some more.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Fixed GL errors and fixed the generation of the player wall collective display list; every wall there was rendered twice and with suboptimal primitive order :)

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Server compatibility.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Better usage of preprocessor conditionals.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Backported OpenGL error dedection code from the trunk.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Last one for today: removing walls that are really dead and vanished from the rendering list.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Removing expired walls from render list.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Added display list statistics.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Avoiding mode changes for cycle walls, too.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Avoiding more mode switches.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Made the display list menu a threefold choice: off, create and call, create and execute.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Avoiding mode changes.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Using a single glBegin(GL_QUADS) block for all rim walls now.

2008-02-12  Manuel Moos  <z-man@users.sf.net>

	Fixed cycle memory leaks.

2008-02-11  wrtlprnft  <wrtlprnft@users.sf.net>

	Fixed color overflow in the configuration change message (hi there K-Yo!). I hope z-man doesn't rip my head off for removing yet another color code related bug that he can use as proof that color codes aren't officially supported (they're still not!)

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	And another server fix.

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	And again: Server compilation fixes.

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Added flag to first compile the display lists, then execute them, instead of using GL_COMPILE_AND_EXECUTE. For expermients.

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Fixed two bugs from the new display list code:
	- walls that were updated on server order did not update the display list
	- walls of players who quit a server would get invisible.

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Fixed performance bug, cycle wall display list was deleted too often.

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Even better server compatibility.

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Dedicated server compatibility, again.

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Static player walls now also get a display list.

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Server compatibility restored.

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Added display list wrapper for convenient caching of renderings.
	Used it for the console and individual cycle walls.

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Hmm, odd rendering height bug for the rim walls. It seems the code renders them wrongly the first time around. Oh well, let's just create the display list some frames into the round :)

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Still more performance: putting all rim walls into one display list (as long as they are not lowered for rendering).

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Disabling backface culling for cycle walls.

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Avoiding state changes when rendering rim walls (at least, when no moviepack is selected).

2008-02-11  Manuel Moos  <z-man@users.sf.net>

	Performance improvement: the cycle now triggers rendering of its walls, the renderer does not have to traverse all walls (and render them multiple times).

2008-02-10  Manuel Moos  <z-man@users.sf.net>

	Merged memory leak fix from Pig Sty Branch.

2008-02-10  wrtlprnft  <wrtlprnft@users.sf.net>

	Fixed a mixup where the menu item labels for hiding your global id and spectator mode were swapped

2008-02-10  nemostultae

	* Fixed dedicated compilation by adding a "Copy Headers" build phase to every target with the correct config.h for that target. The file's role is set to Project so it doesn't actually get copied. The other solution attempts failed: tried putting the src/macosx/dedicated or src/macosx/client folder in the search path for each respective target, and header files aren't members of a target so we couldn't exclude them (annoying).
	* Enabled auth server support on server
	* Enabled ZThread support in both client and server

2008-02-10  Manuel Moos  <z-man@users.sf.net>

	eGameObject::DeleteAll no longer calls Kill(), only RemoveFromGame().
	Several spurious explosion generations in gCycle were removed.
	The desired effect: no more unwanted explosions, and a cleaner game exit at round end.
	Some arcane bits of ancient code were removed here, I hope without ill side effects.

2008-02-09  wrtlprnft

	Write a SACRIFICE message into ladderlog containing the player who used the hole, the player who went through it and the player who got holed, in that order.

2008-02-09  z-man

	Argh, push/pop matrix chaos. Better blinking now.

2008-02-09  z-man

	Invulnerability blinking now only affects the cycle.

2008-02-09  wrtlprnft

	protect user.cfg from read access by other users on linux and (hopefully) mac OS

2008-02-09  z-man

	Commented out ALLOW_TEAM_SHUFFLEUP, it triggered errors with authentication.

2008-02-09  z-man

	Experimental: activating ZThread usage and Armathentication on Windows dedicated server build.

2008-02-09  wrtlprnft

	Added a new flag that allows users to specify whether they want their identity to be hidden.
	Maybe the serverside handling of it can be improved a bit by allowing users (like administrators) to only hide their access level without hiding their ID.

2008-02-09  Manuel Moos  <z-man@users.sf.net>

	Made to work with vanilla unpatched zthread (-fpermisive test was broken)

2008-02-09  Manuel Moos  <z-man@users.sf.net>

	MOVE_TO no longer calls nMachine::OnKick; although it did so with zero severity, and that should have had no effect, it's better not to call it at all.

2008-02-09  Manuel Moos  <z-man@users.sf.net>

	Moved game end code from DoRemoveFromGame to OnRemoveFromGame. Base class is now eReferencableGameObject.

2008-02-08  z-man

	Made resolution definition fixed size to avoid errors (there appeared to be one overwrite erorr on OSX already).

2008-02-08  z-man

	Win32 compatibility.

2008-02-08  z-man

	eAuthentication here, too.

2008-02-08  z-man

	OMG! More AuthentiFIcation. Empty stub files, but nevertheless.

2008-02-08  Manuel Moos  <z-man@users.sf.net>

	Requiring the most recent zthreads now.
	Checking whether -fpermissive is required.

2008-02-08  Manuel Moos  <z-man@users.sf.net>

	Fixed authentication compilation this time.

2008-02-08  Manuel Mooos  <z-man@users.sf.net>

	Let's see what happens if someone does not "bzr rebase", but "bzr merge" ro get his branch up to date.
	
	merging:
	Manuel Mooos 2008-02-08 More ignores for those who build directly in the source tree.

2008-02-08  Manuel Mooos  <z-man@users.sf.net>

	More ignores for those who build directly in the source tree.

2008-02-08  Manuel Mooos  <z-man@users.sf.net>

	Fixed compilation on non-armathentication builds.

2008-02-08  Manuel Mooos  <z-man@users.sf.net>

	more ignores.

2008-02-08  Manuel Mooos  <z-man@users.sf.net>

	Authentication changes are now visible in /players output right away; /logout and /login in the same round should no longer enforce keeping the authority.

2008-02-08  Manuel Mooos  <z-man@users.sf.net>

	Added bzr ignore rules.

2008-02-07  wrtlprnft

	Implemented ramps and flying cycles

2008-02-07  Manuel Moos  <z-man@users.sf.net>

	tron -> tronad

2008-02-06  wrtlprnft

	I like z-man's version better than mine. I hope this carries over to BZR ok

2008-02-06  bazaarmagetron

	updated.

2008-02-06  wrtlprnft

	-?!

2008-02-06  wrtlprnft

	Dunno if this is a very good idea, but it saves you one keystroke:
	If there's one of those enter password dialogs and the name that's suggested by the server matches a global ID (from any player) the password field is selected, otherwise it's the username field. Useful if you don't want to trust your password to user.cfg but still comfortably log in.

2008-02-06  z-man

	Ok, now really fixed the libZThread compilation.

2008-02-06  z-man

	Re-added HAVE_LIBZTHREAD define, it got lost.

2008-02-06  z-man

	Better test for ZThread. Taken from official Automake macro, and modified that it actually works.

2008-02-06  z-man

	Added call to delayed tasks while waiting for players.

2008-02-06  wrtlprnft

	removed unused parameter of unused function

2008-02-05  z-man

	Fixed ed's crash. My bad. Already dead sparks were being accessed.

2008-02-05  wrtlprnft

	ZONA_ALPHA_TOGGLE: allows people like epsy to render zones as if alpha blending was switched off.

2008-02-05  wrtlprnft

	You can now specify the amount of indentation for wrapped console lines by using CONSOLE_INDENT.

2008-02-05  z-man

	Whoops, forgot to keep the checksum in a reasonable range.

2008-02-05  wrtlprnft

	Print a message when the server exits due to DEDICATED_IDLE

2008-02-04  z-man

	Trimming whitespace from the end of the argument of /login.

2008-02-04  z-man

	Informing users about delays in the login process.

2008-02-04  nemostultae

	Updated Mac OS X project file after auth branch merge. nAuthentification -> nAuthentication

2008-02-04  z-man

	Authentification -> Authentication here, too, so nobody laughs at Z-Man ze German.

2008-02-04  wrtlprnft

	something went wrong when i tried to compile it, added a missing _

2008-02-04  wrtlprnft

	sorry, forgot a language string

2008-02-04  wrtlprnft

	replaced TEAM_ALLOW_SHUFFLE_UP by ACCESSL_LEVEL_SHUFFLE_UP if armathication is enabled

2008-02-04  z-man

	Merging branch 0.2.8-auth from revision 7558 to 7721:
	------------------------------------------------------------------------
	r7718 | z-man | 2008-02-04 01:42:47 +0100 (Mon, 04 Feb 2008) | 3 lines
	
	Fixed epsy's eavesdropping bug where a moderator that is invited, but not member of a team could read /team messages.
	When looking for a player name, the input name is now filtered as well.
	
	------------------------------------------------------------------------
	r7715 | z-man | 2008-02-01 22:09:11 +0100 (Fri, 01 Feb 2008) | 2 lines
	
	Correctly check for the shorthand authority name when checking the authentication server's response.
	
	------------------------------------------------------------------------
	r7714 | z-man | 2008-02-01 21:34:13 +0100 (Fri, 01 Feb 2008) | 2 lines
	
	Client compiled with --enable-armathentication compiles again (why would a sane person do that?)
	
	------------------------------------------------------------------------
	r7709 | z-man | 2008-01-30 20:00:08 +0100 (Wed, 30 Jan 2008) | 2 lines
	
	Spectators invited to exactly one team can now also use /team to chat with the team.
	
	------------------------------------------------------------------------
	r7700 | z-man | 2008-01-29 18:07:13 +0100 (Tue, 29 Jan 2008) | 2 lines
	
	forgot one \n.
	
	------------------------------------------------------------------------
	r7690 | z-man | 2008-01-29 01:54:16 +0100 (Tue, 29 Jan 2008) | 2 lines
	
	Evaluating the authentication server's username response.
	
	------------------------------------------------------------------------
	r7688 | z-man | 2008-01-29 00:55:17 +0100 (Tue, 29 Jan 2008) | 2 lines
	
	Adding fully qualified user name to the PASSWORD_OK output.
	
	------------------------------------------------------------------------
	r7684 | z-man | 2008-01-28 21:14:37 +0100 (Mon, 28 Jan 2008) | 2 lines
	
	Sendig hashes with lowercase hexcodes; php generates them that way by default.
	
	------------------------------------------------------------------------
	r7681 | z-man | 2008-01-28 19:03:09 +0100 (Mon, 28 Jan 2008) | 2 lines
	
	also removing newlines from headers.
	
	------------------------------------------------------------------------
	r7677 | z-man | 2008-01-28 13:06:03 +0100 (Mon, 28 Jan 2008) | 2 lines
	
	Stopped abusing http error codes, rely on the message text instead.
	
	------------------------------------------------------------------------
	r7676 | z-man | 2008-01-28 11:29:27 +0100 (Mon, 28 Jan 2008) | 2 lines
	
	Actually made the code work like the docs say :)
	
	------------------------------------------------------------------------
	r7675 | z-man | 2008-01-28 11:25:45 +0100 (Mon, 28 Jan 2008) | 2 lines
	
	Documented chat commands.
	
	------------------------------------------------------------------------
	r7674 | z-man | 2008-01-28 11:13:33 +0100 (Mon, 28 Jan 2008) | 3 lines
	
	Fixed yet another cursor position bug.
	Text menu items with COLOR_SHOW rendering mode switch to COLOR_USE when not selected.
	
	------------------------------------------------------------------------
	r7673 | z-man | 2008-01-28 11:11:54 +0100 (Mon, 28 Jan 2008) | 2 lines
	
	MD5_PASSWORD_REMOVE -> USER_REMOVE
	
	------------------------------------------------------------------------
	r7672 | z-man | 2008-01-28 02:59:16 +0100 (Mon, 28 Jan 2008) | 2 lines
	
	/lock, /unlock, /invite and /uninvite team management chat for players of access level ACCESS_LEVEL_TEAM or better.
	
	------------------------------------------------------------------------
	r7671 | z-man | 2008-01-27 21:26:39 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	Thorough protection against access elevation by coding bugs. There is one central check to pass, and only one way to circumvent it.
	
	------------------------------------------------------------------------
	r7670 | z-man | 2008-01-27 19:59:48 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	Fixed broken console wrapping.
	
	------------------------------------------------------------------------
	r7669 | z-man | 2008-01-27 19:48:21 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	Added ACCESS_LEVEL_IPS to let admins see IPs of players in the list.
	
	------------------------------------------------------------------------
	r7668 | z-man | 2008-01-27 18:54:12 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	eavesdropping admins no longer get their own /msgs printed twice.
	
	------------------------------------------------------------------------
	r7666 | z-man | 2008-01-27 16:34:27 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	Removed fallback to bmd5 when the authority did not return a method list, all protocol-non-compilance errors are now fatal and give meaningful error messages (I hope).
	
	------------------------------------------------------------------------
	r7665 | z-man | 2008-01-27 15:41:54 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	added check for wrong hostname.
	
	------------------------------------------------------------------------
	r7663 | z-man | 2008-01-27 14:43:35 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	Rejecting raw IP authorities.
	
	------------------------------------------------------------------------
	r7662 | z-man | 2008-01-27 14:31:32 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	All response keywords transformed to CAPS.
	
	------------------------------------------------------------------------
	r7661 | z-man | 2008-01-27 14:31:00 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	Password server response is now parsed case-insensitively.
	
	------------------------------------------------------------------------
	r7660 | z-man | 2008-01-27 14:08:12 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	Repaired debug recordings.
	
	------------------------------------------------------------------------
	r7659 | z-man | 2008-01-27 14:02:50 +0100 (Sun, 27 Jan 2008) | 3 lines
	
	Short network messages are now ignored and don't cause disconnection.
	Logins are secured with an additional random token, making it harder to inject fake login accept packets with a wrong IP to circumvent the anti-pharming code.
	
	------------------------------------------------------------------------
	r7658 | z-man | 2008-01-27 13:23:59 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	Counting with a bool? Not such a good idea :)
	
	------------------------------------------------------------------------
	r7653 | z-man | 2008-01-27 01:50:05 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	When authentication names are anonymous, you now still get to see your own login messages.
	
	------------------------------------------------------------------------
	r7652 | z-man | 2008-01-27 01:30:51 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	Finished version 0.1 of the server to authserver protocol. Nobody else seems interested enough, so we'll keep it n00bish.
	
	------------------------------------------------------------------------
	r7650 | z-man | 2008-01-27 01:28:27 +0100 (Sun, 27 Jan 2008) | 2 lines
	
	added authentication reference php script.
	
	------------------------------------------------------------------------
	r7649 | z-man | 2008-01-26 23:36:28 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Added /teams chat command.
	
	------------------------------------------------------------------------
	r7648 | z-man | 2008-01-26 21:59:56 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Spectating admins can now see /team messages, and really high level admins can always see /msg messages (they can read them in the logs already). All configurable, of course.
	
	------------------------------------------------------------------------
	r7647 | z-man | 2008-01-26 21:20:26 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	corrected /admin denied message.
	
	------------------------------------------------------------------------
	r7646 | z-man | 2008-01-26 21:11:43 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Using tToLower and tToUpper instead of manually doing the work.
	
	------------------------------------------------------------------------
	r7645 | z-man | 2008-01-26 21:10:56 +0100 (Sat, 26 Jan 2008) | 1 line
	
	Filtering chat commands to lowercase.
	------------------------------------------------------------------------
	r7644 | z-man | 2008-01-26 21:10:32 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Added tToLower and tToUpper transform functions.
	
	------------------------------------------------------------------------
	r7643 | z-man | 2008-01-26 20:44:16 +0100 (Sat, 26 Jan 2008) | 1 line
	
	Better detection and reporting of unknown chat commands.
	------------------------------------------------------------------------
	r7642 | z-man | 2008-01-26 20:33:13 +0100 (Sat, 26 Jan 2008) | 1 line
	
	Fixed clientside generated namechange messages
	------------------------------------------------------------------------
	r7641 | z-man | 2008-01-26 20:21:33 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	ALIAS -> USER_ALIAS
	
	------------------------------------------------------------------------
	r7640 | z-man | 2008-01-26 20:09:41 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Bugfixes of sliding play access level.
	
	------------------------------------------------------------------------
	r7639 | z-man | 2008-01-26 19:38:53 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Fixed non-authentication version.
	
	------------------------------------------------------------------------
	r7638 | z-man | 2008-01-26 19:32:01 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Added intermediate tAccessLevel definitions. Some C++ compilers seem to be smart enough to clamp assignments from ints to enums to defined values.
	
	------------------------------------------------------------------------
	r7637 | z-man | 2008-01-26 19:29:34 +0100 (Sat, 26 Jan 2008) | 3 lines
	
	Who can play is now managed by ePlayer.cpp itself, and not in the spawning code of gGame.cpp.
	Added ACCESS_LEVEL_PLAY_SLIDERS to allow tuning the sliding behavior of the to-play access level requirement.
	
	------------------------------------------------------------------------
	r7634 | z-man | 2008-01-26 17:31:48 +0100 (Sat, 26 Jan 2008) | 1 line
	
	Only include nanohttp when authentication is enabled.
	------------------------------------------------------------------------
	r7633 | z-man | 2008-01-26 17:30:19 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	More SUDO -> CASACL
	
	------------------------------------------------------------------------
	r7631 | z-man | 2008-01-26 17:00:21 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	SUDO -> CASACL (Check And Set ACcess Level), prounounced like Quetzalcoatl, your friendly Aztec God.
	
	------------------------------------------------------------------------
	r7630 | z-man | 2008-01-26 14:33:11 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Further SUDO comment.
	
	------------------------------------------------------------------------
	r7629 | z-man | 2008-01-26 13:52:01 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Refined and documented SUDO.
	
	------------------------------------------------------------------------
	r7628 | z-man | 2008-01-26 02:53:47 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Activated SUDO command.
	
	------------------------------------------------------------------------
	r7627 | z-man | 2008-01-26 02:38:14 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Worked around gcc-3.3 problems with function pointer default arguments.
	
	------------------------------------------------------------------------
	r7626 | z-man | 2008-01-26 02:36:50 +0100 (Sat, 26 Jan 2008) | 2 lines
	
	Added SUDO command.
	
	------------------------------------------------------------------------
	r7625 | z-man | 2008-01-26 00:10:10 +0100 (Sat, 26 Jan 2008) | 8 lines
	
	Documented settings.
	text input fields now let the text wrap correctly and make use of the space allocated for them in a not-completely-dumb way. And *sigh* depending on the text field, color codes are either ignored (for the usernames) or both displayed in text and rendered.
	"KICK 2pack" no longer kicks user 2 instead of player 2pack.
	all admin commands now also accept partial name matches, like /msg, and check for case sensitive matches in the screen name first, then the user name, then case insensitive matches in the two.
	Added authority black/whitelists.
	Debug recordings now work with authentication and are safe to share, no secret information is recorded.
	
	
	------------------------------------------------------------------------
	r7624 | z-man | 2008-01-24 19:32:12 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	Whoops, repaired /msg and other things.
	
	------------------------------------------------------------------------
	r7623 | z-man | 2008-01-24 19:08:19 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	Added /promote and /demote, saner spam checking.
	
	------------------------------------------------------------------------
	r7622 | z-man | 2008-01-24 17:38:19 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	No more senseless name change messages, better error messages.
	
	------------------------------------------------------------------------
	r7621 | z-man | 2008-01-24 17:10:05 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	Added access right settings for /admin commands, regular chat, playing, and the new /(de)op commands (replace /pickup)
	
	------------------------------------------------------------------------
	r7620 | z-man | 2008-01-24 15:30:42 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	krawallserver -> armathentication :)
	
	------------------------------------------------------------------------
	r7619 | z-man | 2008-01-24 14:54:54 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	Better screen name reservation; previously, "RESERVE_SCREEN_NAME Z-Man" would have had no effect, because the nickname is compared to the FILTERED name of players; so now the reserved name is filtered as well.
	
	------------------------------------------------------------------------
	r7618 | z-man | 2008-01-24 14:27:19 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	ZTHread no longer required for remote logins; without threads, the required lookups are done between rounds.
	
	------------------------------------------------------------------------
	r7617 | z-man | 2008-01-24 13:55:57 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	Updated.
	
	------------------------------------------------------------------------
	r7616 | z-man | 2008-01-24 13:40:00 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	Proper error reporting when ZThread is not available and we can't to remote logins.
	
	------------------------------------------------------------------------
	r7615 | z-man | 2008-01-24 13:30:39 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	Added: access levels to user accounts, aliases, reserved screen names, and authentication name based bans for REALLY stupid players.
	
	------------------------------------------------------------------------
	r7614 | z-man | 2008-01-24 10:55:49 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	Added access levels to configuration system.
	
	------------------------------------------------------------------------
	r7613 | z-man | 2008-01-24 03:35:12 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	Better error messages.
	
	------------------------------------------------------------------------
	r7612 | z-man | 2008-01-24 03:28:19 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	seperate message for local logons.
	
	------------------------------------------------------------------------
	r7611 | z-man | 2008-01-24 03:12:16 +0100 (Thu, 24 Jan 2008) | 2 lines
	
	Added UI elements and non-chat based authentication initiation: in the player setup, there is a Global ID text item and an Auto Login toggle, and in the game menu, if on supporting servers, an Authenticate trigger.
	
	------------------------------------------------------------------------
	r7610 | z-man | 2008-01-23 22:08:39 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Less name character escaping.
	
	------------------------------------------------------------------------
	r7609 | z-man | 2008-01-23 20:27:20 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Less braindead handling of player names.
	
	------------------------------------------------------------------------
	r7608 | z-man | 2008-01-23 18:00:13 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Support for storage of password hashes for schemes with prefix and suffix.
	
	------------------------------------------------------------------------
	r7607 | z-man | 2008-01-23 17:53:46 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Filtering port, only to realize that nanohttp does not handle the port correctly anyway. Lowercasing the file path part of the authority for reference, lookup is done with the original.
	
	------------------------------------------------------------------------
	r7606 | z-man | 2008-01-23 17:20:57 +0100 (Wed, 23 Jan 2008) | 3 lines
	
	Ok, .authentication.armagetronad.net ;) Also, removing this default
	suffix from the authority if it is there.
	
	------------------------------------------------------------------------
	r7605 | z-man | 2008-01-23 17:08:21 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Sanity checking authority URL; appending default .armagetronad.net.
	
	------------------------------------------------------------------------
	r7604 | z-man | 2008-01-23 16:23:04 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	fixed method retrieval, implemented method property reading.
	
	------------------------------------------------------------------------
	r7603 | z-man | 2008-01-23 15:33:12 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Strings get encoded for URIs now, so usernames can have spaces and stuff.
	
	------------------------------------------------------------------------
	r7602 | z-man | 2008-01-23 14:00:35 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Fixed abuse of temporary variable returned by std::ostringstream::str().
	
	------------------------------------------------------------------------
	r7599 | z-man | 2008-01-23 11:17:13 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Fixes for non-zthread owners.
	
	------------------------------------------------------------------------
	r7598 | z-man | 2008-01-23 10:42:47 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Also removing pending login processes from view when the client logs out; they may be kept alive by running tasks.
	
	------------------------------------------------------------------------
	r7597 | z-man | 2008-01-23 04:05:28 +0100 (Wed, 23 Jan 2008) | 4 lines
	
	Two bugfixes:
	clients would clear the username sent by the server before opening the password form
	servers would ignore login attemps if the same client previously disconnected while in the process of logging in.
	
	------------------------------------------------------------------------
	r7596 | z-man | 2008-01-23 03:47:35 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Forgot to re-activate the Executer that actually uses background threads :)
	
	------------------------------------------------------------------------
	r7595 | z-man | 2008-01-23 03:45:03 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	New, clearer structure without tread-troubling global variables on the server side.
	
	------------------------------------------------------------------------
	r7594 | z-man | 2008-01-23 03:44:31 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Test for zthread is only done when krawallserver is activated.
	
	------------------------------------------------------------------------
	r7593 | z-man | 2008-01-23 03:43:58 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Added convenience functions to machine observers.
	
	------------------------------------------------------------------------
	r7592 | z-man | 2008-01-23 03:06:58 +0100 (Wed, 23 Jan 2008) | 2 lines
	
	Added thread-safe variant of referencable objects.
	
	------------------------------------------------------------------------
	r7588 | z-man | 2008-01-22 18:16:04 +0100 (Tue, 22 Jan 2008) | 2 lines
	
	Improved password entry form, all forms of canceling are recognized, failed automatic logins are repeated automatically.
	
	------------------------------------------------------------------------
	r7587 | z-man | 2008-01-22 16:33:47 +0100 (Tue, 22 Jan 2008) | 2 lines
	
	Added authentication hash method query; the server now picks a method client, server and authority support (or gives up).
	
	------------------------------------------------------------------------
	r7586 | z-man | 2008-01-22 16:19:52 +0100 (Tue, 22 Jan 2008) | 2 lines
	
	Reduced number of mutex lock points in memory manager to 2; eliminated information passing over global variables.
	
	------------------------------------------------------------------------
	r7580 | z-man | 2008-01-22 10:11:20 +0100 (Tue, 22 Jan 2008) | 2 lines
	
	Earlier mutex locking. Eek, there is lots of communication using global variables.
	
	------------------------------------------------------------------------
	r7579 | z-man | 2008-01-22 04:01:00 +0100 (Tue, 22 Jan 2008) | 2 lines
	
	skeletons for fetching additional data about users and authentication methods.
	
	------------------------------------------------------------------------
	r7578 | z-man | 2008-01-22 03:05:53 +0100 (Tue, 22 Jan 2008) | 2 lines
	
	Leakfix and even better error messages.
	
	------------------------------------------------------------------------
	r7577 | z-man | 2008-01-22 03:05:08 +0100 (Tue, 22 Jan 2008) | 2 lines
	
	Using an Executer instead of manually starting threads.
	
	------------------------------------------------------------------------
	r7576 | z-man | 2008-01-22 03:04:10 +0100 (Tue, 22 Jan 2008) | 2 lines
	
	Call DoToDo() while waiting for real players.
	
	------------------------------------------------------------------------
	r7575 | z-man | 2008-01-22 02:37:47 +0100 (Tue, 22 Jan 2008) | 2 lines
	
	Silenced leak warnings from external libraries.
	
	------------------------------------------------------------------------
	r7574 | z-man | 2008-01-21 20:46:06 +0100 (Mon, 21 Jan 2008) | 2 lines
	
	Refactoring, clientside support for good md5 format (not yet final), better error messages for the user.
	
	------------------------------------------------------------------------
	r7573 | z-man | 2008-01-21 20:35:28 +0100 (Mon, 21 Jan 2008) | 2 lines
	
	Fixed deadlock.
	
	------------------------------------------------------------------------
	r7571 | luke-jr | 2008-01-21 14:21:05 +0100 (Mon, 21 Jan 2008) | 1 line
	
	fix z-mans typos
	------------------------------------------------------------------------
	r7561 | z-man | 2008-01-21 11:57:48 +0100 (Mon, 21 Jan 2008) | 2 lines
	
	Removed extra semicolon.
	
	------------------------------------------------------------------------
	r7560 | z-man | 2008-01-21 11:45:48 +0100 (Mon, 21 Jan 2008) | 2 lines
	
	Adapted to Tank's forum based auth script. Login with "/login authentication.armagetronad.net" now :)
	
	------------------------------------------------------------------------
	r7559 | z-man | 2008-01-21 11:36:51 +0100 (Mon, 21 Jan 2008) | 2 lines
	
	Commited patch 0.4, basically.
	
	------------------------------------------------------------------------

2008-02-04  z-man

	Better virtual RemoveFromGame logic for eGameObjects, derived classes now don't have to worry about things like removing themselves from the lists or clearing the current grid face (forgetting that has ugly effects).

2008-01-31  z-man

	Negative hole scores now affect the score of the player who took the hole, positive goes to the one who made the hole.

2008-01-31  wrtlprnft

	Removed unnecessary line of code, probably resulting in a 1e-9% performance increase.

2008-01-30  z-man

	If console lines are wrapped, the continuation gets indented a bit.

2008-01-30  z-man

	Fortress zones no longer collapse if FORTRESS_HELD_SCORE is zero.

2008-01-30  z-man

	Made the random color picker dislike black even more.

2008-01-30  z-man

	Eliminating duplicate password storage items on load.

2008-01-30  z-man

	Fixed bug where you would get points for holding the base, but still was eliminated by its collapse.

2008-01-30  z-man

	Hopefully a crashfix, and hopefully no reopening of old leak :)

2008-01-29  z-man

	Aplied yet another GCC 4.3 patch, and this time, put all of the includes we keep forgetting into defs.h. They should be removed at a later time again.

2008-01-29  z-man

	Added PLAYER_RANDOM_COLOR to randomly pick a collor every round.
	The new pick gets rejected if it is closer to the other players' colors than the old color, so the thing stabilizes you to a unique color after a while.

2008-01-29  z-man

	Safer version of st_ToDo() to be called from signal handlers.

2008-01-29  z-man

	Added /etc/armagetronad-dedicated/master reload to reload configuration.

2008-01-29  z-man

	st_DoToDo() now also called while the server is napping.

2008-01-29  z-man

	Configuration files get reloaded on SIGHUP

2008-01-29  z-man

	Updated.

2008-01-29  z-man

	Added extra alpha blending factors for zones.

2008-01-29  z-man

	FORTRESS_HELD_SCORE now also applied on zones that vanish for lack of enemy contact.

2008-01-29  z-man

	More room for instant chats in the menu.

2008-01-28  z-man

	Fixed small wall stumps that would sometimes get left behind.

2008-01-28  z-man

	Hole score management is now done with an extra redirection: hole->explosion->cycle.
	hat way, in case a cycle can produce multiple explosions (not the case
	with respawning, there it is a new cycle every spawn), the player can
	get multiple scores for holes. 

2008-01-28  z-man

	Disabling astyle for now. More trouble than it is worth with its changed default behavior.

2008-01-28  z-man

	ZOMG HOLERZ! Added detection and scoring for tactical holes.

2008-01-27  z-man

	Fixed behavior of fullscreen message when you hit ESC.

2008-01-27  z-man

	Fortress holding award is only granted to teams that are still alive.

2008-01-27  z-man

	added progname and progtitle to the variables saved in config.status.

2008-01-27  z-man

	Added OnRoundEnd() member function to eGameObject that is called after a round winner was declared and before the round ends.
	Implemented SCORE_SURVIVE for player survival and FORTRESS_HELD_SCORE for not losing each fortress zone with that.

2008-01-27  z-man

	Fixed bleeding colors from OVERLONG SERVER NAMES WITH OBNOXIOUSLY MANY COLORS.

2008-01-27  nemostultae

	* Removed "Copy Headers" build phase from dedicated target
	* Removed headers from "Copy Frameworks" phase of client

2008-01-26  z-man

	Increased niceness level and added a note.

2008-01-19  z-man

	separated language strings of subculture menu from those of the server favorites.

2008-01-19  z-man

	Minor corrections.

2008-01-19  z-man

	Updated.

2008-01-19  z-man

	Default comptetition subculture for everyone.

2008-01-19  z-man

	Servers that are no longer listed on the master servers are no longer shown. This should get rid of the huge list of unreachable servers people report sometimes.

2008-01-19  z-man

	Moved RINCLUDE to a better home.

2008-01-19  z-man

	Everyone gets a math library, even dedicated servers.

2008-01-19  z-man

	Added subcultures managed by one master server each.

2008-01-18  z-man

	Added boolean return value to console (fullscreen) messages.
	Added escape possibility to server redirections.
	Removed redirection spam protection, it makes no sense any more.

2008-01-18  z-man

	Translated new language items.

2008-01-18  z-man

	My system wasn't quite happy with the way the temporary was created, for some reason. Changed it a bit.

2008-01-18  z-man

	Added dedicated build dependency to dedicated server release target.

2008-01-18  z-man

	Added gFriends.

2008-01-18  z-man

	Whoopsie, fixed menu cursor clamping.

2008-01-18  z-man

	GCC 4.3 patches submitted by Fedora maintainer Jon Ciesla (limb@dont.spam.jcomserv.net)

2008-01-17  z-man

	The yearly game of eliminating all warnings a new version of GCC brings, this time version 4.2.2

2008-01-17  z-man

	Applied 3.1 friends patch.

2008-01-17  z-man

	Forgot those two.

2008-01-17  z-man

	Committed version 3 of the friends patch by tank. Version 3.1 pending, I have problems applying it, and want to check what svn diff says.

2008-01-16  z-man

	Crashfix for the server browser.

2008-01-16  z-man

	Rebeautified.

2008-01-16  z-man

	Better ordering for the OnRender() call.

2008-01-16  z-man

	Added OnRender() function that is called before the menuitems are rendered.

2008-01-11  nemostultae

	Remove intermediate folder holding package files

2008-01-11  nemostultae

	• Only build for native architecture in dedicated “Debug” builds as well.
	• Remove package files build step from dedicated target
	• Pass in useful command-line arguments for dedicated target (--datadir, etc…)
	• Added “Create Client Release”, “Create Dedicated Release”, and “Create Full Release” targets. The disk images are placed in $BUILT_PRODUCTS_DIR (build/Release usually).
	
	The “Create Client Release” target checks to see if you have an $AA_RECORDER_APP environment variable set, and if you do the recorder app will be included in the disk image. For example I have in my .bash_profile:
	
	AA_RECORDER_APP="/Users/Shared/Applications/Games/Armagetron Advanced Recorder.app"
	
	• Changed a few svn:ignore properties to ignore generated files
	• dmg-convert, dmg-create → added
	• Updated README-Subversion with new information about targets

2008-01-11  nemostultae

	Fixed #determine_source_kind to correctly identify svn checkouts. Corrects problem of the version not showing up on the title screen.

2008-01-11  nemostultae

	• Only build for native architecture in “Debug” builds
	• Changed to a valid CFBundleSignature to silence a warning

2008-01-11  nemostultae

	• Removed TextMate project
	• Edited some svn:ignore properties
	• Small change to project file by Xcode 3 so we stay compatible with 2.4

2008-01-10  z-man

	Switched continuous unblocking of stdin to only doing so when SIGCONT is received. That was easy :)

2008-01-10  z-man

	Corrected konqueror log loop.

2008-01-10  z-man

	Added redirection possibility for vote kicks.

2008-01-10  z-man

	Added KICK_TO and MOVE_TO, redirecting a player to a different server.
	Fixed crash from one of the leak fixes.

2008-01-10  z-man

	Unblocking stdin before every read. SIGSTOP signals cause it to get blocked, freezing the server.

2008-01-10  z-man

	Not compensating hickups when playing back. Makes no sense.

2008-01-10  z-man

	Fixed xmlGetProp memory leaks.

2008-01-10  z-man

	RINCLUDE command now actually calls the new RInclude function :)

2008-01-10  z-man

	Fixed leak in machine decorators, forgot to delete this in Destroy().

2008-01-10  z-man

	Fixed memory leak caused by missing gParser destructor. The leakfinding
	memory manager missed it because all allocation was done through libxml2,
	and it passed casual code review because the corresponding delete operation
	did happen, just not always; a leak would occur every time a completely new
	game was started.

2008-01-10  luke-jr

	the rest of RInclude, since I just accidentally committed part of it; revert if you like

2008-01-10  luke-jr

	apparently I missed this a while ago

2008-01-10  z-man

	Listening to console input while waiting for players (and only spectators are there).

2008-01-07  z-man

	Added non-existing comment about TIME_FACTOR to non-existing documentation.

2008-01-04  wrtlprnft

	adding PLAYER_MESSAGE (btw, I'm not the only one with commit access to NEWS IIRC)

2008-01-04  wrtlprnft

	small fixes, thanks luke-jr

2008-01-04  wrtlprnft

	Got rid of the spurious commit ;-)

2008-01-04  wrtlprnft

	Added luke's new commands

2008-01-04  z-man

	Hardcoding version for mac release.

2008-01-04  z-man

	Adapted filenames.

2008-01-04  z-man

	added new .in file to project.

2008-01-03  z-man

	Fixed bug that made all player names blank on the client side on the initial sync.

2008-01-03  z-man

	Ok, ok, now it's working again.

2008-01-03  z-man

	Should have tested the last commit :)

2008-01-03  z-man

	Moved config_common.h to config_common.h.in for the Mac so no SVN files get modified by process_files.rb.

2008-01-02  z-man

	Argh, reverted SVKs crappy commit.

2008-01-01  z-man

	No commit message
2008-01-01  z-man

	Adapted some libraries to their new position, must have slipped nemo a while back.

2008-01-01  z-man

	Updated OSX descriptions.

2008-01-01  z-man

	Reverted version change. Need to find out how this was automated.

2008-01-01  z-man

	No commit message
2008-01-01  z-man

	Build result of 10.2.8 build target should now be a binary that runs natively on ppc and i386 and works with OSX versions from 10.2.8 on.

2008-01-01  wrtlprnft

	added new ladderlog stuff (used to be edlog), thanks to ed and voodoo (poke z-man)

2008-01-01  z-man

	Fixed plist path to be relative (whatever a plist is)

2008-01-01  z-man

	strnlen does not exist on the mac, removed its usage

2008-01-01  z-man

	automatically selecting 10.2.8 specific options

2007-12-31  z-man

	Fixed epsy's bug with MAX_PLAYERS_SAME_IP.

2007-12-30  z-man

	Whoops :)

2007-12-30  z-man

	Added TIME_FACTOR variable to compensate for dodgy system timers.

2007-12-29  z-man

	Timer hickups are now swallowed with a once-per-session warning.

2007-12-17  z-man

	Small performance fix: strlen -> strnlen. Want to do something useful today :)

2007-12-17  z-man

	Undone the last two renegade commits (/me blames SVK)

2007-12-17  z-man

	No commit message
2007-12-17  z-man

	Next attempt at killing bizarre illegal color code constructs.

2007-12-17  wrtlprnft

	Remove incomplete color codes in tColoredString::RemoveColors(), too.

2007-12-16  z-man

	Color code removal now reliably removes nested color codes.

2007-12-16  z-man

	added HAVE_ISBLANK

2007-12-16  z-man

	fixed typo

2007-12-14  z-man

	Calling PumpEvents() while waiting for application to receive focus; only that way, it actually gets noticed.

2007-12-10  z-man

	No commit message
2007-12-10  z-man

	More elaborate version of the last fix that does not break the master server.

2007-12-10  z-man

	Fixed 100% cpu usage of the server when data was incoming on the control socket at the wrong time (any time it is not talking to the master servers).

2007-11-15  z-man

	Fixed bugs when MAX_CLIENTS was lowered when players were already online.

2007-11-14  z-man

	Sorry, bash required for now.

2007-11-14  z-man

	"Rebeautified."

2007-11-14  z-man

	Catching more exceptions.

2007-11-12  z-man

	Removed deprecated/wrong entries.

2007-11-12  z-man

	Minor corrections.

2007-11-12  z-man

	Translated. Phew. Work.

2007-11-12  z-man

	Added CYCLE_SPEED_MAX.

2007-11-12  z-man

	Fixed client compilation. Intercept_Commands is only supposed to work on the server, right?

2007-11-12  luke-jr

	allow intercepting of /-commands (configurable)

2007-11-12  luke-jr

	rewrite of epsys PLAYER_MESSAGE

2007-11-12  luke-jr

	hack to send ladderlog to stdout (default disabled, of course)

2007-11-11  z-man

	Whoops, fixed server compilation.

2007-11-11  z-man

	Fixed blank screen error when user reverts to an older SDL version.

2007-11-11  z-man

	Added desktop size detection for SDL >= 1.2.10 and added desktop size as a choice for a screen resolution.

2007-11-11  z-man

	Added desktop resolution text.

2007-11-11  z-man

	Well, the new timer code did the same as the old one, so instead of activating it, the high resolution timer is now dropped in favor of the old low resolution timer (which is then smoothed) if the high resolution timer is making trouble.

2007-11-11  z-man

	Prepared potentially better system time code on Windows (to work around dual Athlon problems with QueryPerformanceCounter()).

2007-11-09  z-man

	Fixed pedantic new warnings in GCC 4.1.3.

2007-11-05  z-man

	hopefully fixed the rare teleport bugs.

2007-11-04  luke-jr

	um, we migrated from CVS to Svn, but missed this bit!

2007-10-02  luke-jr

	some of these should be translated? (ps, Im up for civ maybe)

2007-07-27  wrtlprnft

	Sever -> Server

2007-07-07  z-man

	Whoops, fixed server compilation.

2007-07-07  z-man

	Added NOEXPIRE compile flag that disables expring of versions.

2007-07-07  z-man

	No longer accept fullscreen toggles when the application is active. It's a mystery how they get through, but they trigger a bug in SDL_GetAppState() that makes the application marked as inactive when it gets restored.

2007-06-10  wrtlprnft

	Yet another fix: The "you're not allowed to change your team" was sent to everyone if a player tried to create a new team, not just to the player.

2007-06-10  wrtlprnft

	Stupid typo fix. And the setting is called ALLOW_TEAM_CHANGE

2007-06-10  wrtlprnft

	Forgot to add ALLOW_TEAMCHANGE to settings_custom.cfg.

2007-05-27  z-man

	New setting to enforce this ominous "open" play style by making all grinds non-sealing: CYCLE_RUBBER_MINDISTANCE_GAP*

2007-05-27  z-man

	Removed obsolete IMGLib reference in error message.

2007-05-18  wrtlprnft

	- Changed meaning of SILENCE_ALL on the server to work the same way as it does on the client.
	- Added ENABLE_CHAT to both server and client that does pretty much what its name suggests.
	See http://forums.armagetronad.net/viewtopic.php?p=172531#172531

2007-04-23  wrtlprnft

	- Added ALLOW_TEAM_CHANGES setting to lock the teams for tournaments and the like
	- Added (DIS)?ALLOW_TEAM_CHANGES_PLAYER command to specifically (dis)allow a player from switching teams
	- Localized the error message you get if you say /teamleave on a server with AUTO_TEAM 0

2007-04-21  z-man

	Added earlier "starting to lose contact" message to master server log.

2007-04-20  z-man

	Master server log now contains server names (after one server setup support request too many where the admin is incapable of keeping his server up long enough or stating its IP)

2007-04-18  wrtlprnft

	Don't stretch the floor image for screens with an aspect ratio != 4./3.

2007-04-09  wrtlprnft

	minor spelling fix

2007-04-04  luke-jr

	close some fds left open

2007-03-26  z-man

	Added an extra clearing of the grid before it is rebuild. Network messages coming in between rounds can seriously mess things up.

2007-03-26  wrtlprnft

	Backporting r7182 because it won't work in the trunk, so it's sort of pointless there.
	Also added the file to the makefiles so it gets installed :)

2007-03-13  wrtlprnft

	Added CYCLE_WALL_SHRINK to default fortress settings, it's been a de-facto standard for a long time.

2007-03-01  z-man

	The point in time where a client decides that now it's in sync with the server is recorded now. It was the most significant deviation in behavior caused by different compiler settings.

2007-03-01  z-man

	Fixed more respawn trouble: the first position update of a cylce is now accepted without questioning it.

2007-03-01  z-man

	Fixed some of the problems caused by respawning and cylces moving all over the place, crossing walls in the process and screwing stuff up.

2007-03-01  z-man

	Fixed freezer in eGrid::FindSurroundingFace

2007-02-22  z-man

	Fixed missing initialization warning.

2007-02-22  z-man

	Whoops, forgot to update title.

2007-02-22  z-man

	Enhanced "Master server unreachable" error message.

2007-02-17  z-man

	Fixed obscure failure of eGrid::FindSurroundingFace, it would sometimes fall off the edge of the world.

2007-02-17  z-man

	Rebeautified.

2007-02-17  z-man

	Const-correctness for some virtual functions. They were const in gCycle, but not in eGameObject, causing the wrong instance to be called in eCamera, causing camera jumps whenever there was a lag slide.

2007-02-16  z-man

	Client never claims it expires when it connects to the master server. Two of
	them are running from the trunk now, and any alpha from 0.2.8 would expire
	immediately. Oh well.
	Fixed playback failure due to untimely DNS queries during server list loading.

2007-02-16  z-man

	Whoops, refactored turn count read/write in gDestination so that it actually is compatible with older versions.

2007-02-16  z-man

	Added turn count to gDestination network message; used it to detect double turn command packet losses.

2007-02-16  z-man

	Removed smart glance jitter by fixing update order of glanceSmoothAbs.

2007-02-14  z-man

	Added recent news.

2007-02-14  z-man

	Fixed information injection hole, ping responses now can't fake their source address any more without network layer spoofing.

2007-02-14  z-man

	Added zero time simulation when the extrapolator is initialized, giving an accurate rubberSpeedFactor, which in turn does away with some extrapolation glitches when a rubber assisted turn is the first thing that happens.

2007-02-14  z-man

	Improved rubber calculation for small or zero timesteps.

2007-02-13  z-man

	Server side silencing now also affects /me and cross-team /msg.

2007-02-13  z-man

	Aded docs for VOICE and SILENCE

2007-02-12  z-man

	SILENCE_ALL now also works on the server.
	New commands: SILENCE and VOICE to take chat rights and give them back to individual players.
	All this only affects public chat, /team and /msg and the other commands are unaffected.

2007-02-12  z-man

	Fixed failed client count assertion on client.

2007-02-12  z-man

	Ping charity is now completely server controlled. Maximum and minimum can be set; setting the maximum to 0 should avoid most instant deaths.

2007-02-12  z-man

	Performance improvement and debug recording playback problem avoidance: ack messages are no longer created before they are used.

2007-02-12  z-man

	Moved one instance of deletion of game grid objects from grid creation to
	the previous phase and increased the timeout. This should make missing zone
	bugs less likely.

2007-02-12  z-man

	Clarified doc on SERVER_IP a bit.

2007-02-01  z-man

	Replaced $(( )) with `expr `.

2007-02-01  z-man

	Applied Belenus' unbashifying patch, but kept the #!/bin/bash for now.

2007-02-01  z-man

	Fallback HTML generation rule in case m4 borks up.

2007-02-01  z-man

	"test a == b" replaced by "test a = b". You guessed it: for Solaris.

2007-02-01  z-man

	Solaris compatibility: only create symbolic links if they don't exist yet.

2007-02-01  z-man

	Added test for isspace() function.

2007-02-01  z-man

	Simplified dependency generation, it now works without m4.

2007-02-01  z-man

	Added include reqired on Solaris 2.8 that doesn't hurt Linux and hopefully doesn't hurt other Unices.

2007-02-01  z-man

	Employed two stage cast when writing tOutputs to nMessages. gcc 3.3 on Solaris complained about the single stage cast.

2007-02-01  z-man

	switched from os.walk to os.path.walk. It's not really more difficult and available for python 2.2.

2007-01-29  z-man

	Rebeautified.

2007-01-29  z-man

	Adopted Jonathan's rViewport::Perspective code.

2007-01-29  z-man

	Fixed another issue of local passing through temporary walls. This time, it only happened to the extrapolator cycle, but that's bad enough.

2007-01-22  z-man

	Made uninstall generation respect DESTDIR and ROOTDIR correctly.

2007-01-22  z-man

	Fixed the strange explosion bug a little harder.

2007-01-14  wrtlprnft

	- added the server description to the server browser in the french language file
	- insert a white color string after the server URI

2007-01-12  luke-jr

	preliminary error-on-old-libxml2 (pre 2.6.11)

2007-01-12  z-man

	Disabled multithreaded network reads.

2007-01-11  z-man

	Worked around false GCC warnings about unitialized variables. Bah.

2007-01-11  z-man

	Fixed warinigs of "find".

2007-01-11  z-man

	fingerprint now also supports svk and has a safe fallback.

2007-01-11  davidfancella

	Another spurious commit

2007-01-11  davidfancella

	spurious commit

2007-01-11  davidfancella

	spurious commit

2007-01-11  z-man

	Replaced appending .. with call to dirname. Doesn't work in all situations, but the result doesn't matter much anyway.

2007-01-11  z-man

	Adapted installcheck target to possible absence of sysinstall script.

2007-01-10  z-man

	beatuified.

2007-01-10  z-man

	Backported Luke's directory fix.

2007-01-10  z-man

	Disabled respawning by default, and clarified its status as a hack.

2007-01-03  luke-jr

	ignore that autogenerated stuff

2007-01-03  luke-jr

	--disable-respawn configure option

2006-12-31  z-man

	properly checking for libpng-config and some other cleanups. CXXFLAGS and
	CPPFLAGS are kept separate.

2006-12-30  z-man

	fixed main menu.

2006-12-15  wrtlprnft

	Wrapped the #define DEBUG_LAG in an #ifdef DEBUG to get rid of the lag compensation messages if not in debug mode.

2006-12-05  z-man

	Fixed master to master communication.

2006-11-26  luke-jr

	comment out this stuff till its practical

2006-11-26  luke-jr

	some minor fixups of MAP_FILE preverify prior to revert

2006-11-26  luke-jr

	hope this works :p

2006-11-26  luke-jr

	throw an error, not just a warning

2006-11-26  wrtlprnft

	- Remove double slashes from both the part where the map wants to be and the path it was loaded from before checking for equeality (fixes problem with an empty category attribute).
	- Don't kill the server/client if the map filepath is wrong and just display a tERR_WARN. A wrong map file path is NOT severe enough to kill a server full of players, ever.

2006-11-24  wrtlprnft

	Reverting previous commit. dunno what i was smoking there. sorry.

2006-11-24  wrtlprnft

	it should say SERVER_DESCRIPTION, not SERVER_OPTIONS in that file.

2006-11-24  z-man

	New and possibly smarter chatbot. Tweaking still required.

2006-11-24  z-man

	Optimization: sensors now throw exceptions on the first wall it.

2006-11-10  z-man

	Ping charity is now clamped to the range 0-300 on the server and the client to avoid odd-looking insanely high numbers in the ping charity report console message.

2006-11-08  z-man

	Lowered ping clamping for ladder.
	Bugfix: if you kept the automatical vote menu open for too long, the game would refuse to render.

2006-11-06  wrtlprnft

	fixed wrong text for an error message.

2006-11-05  wrtlprnft

	"/me" messages now sent to stdout on the server, before they didn't.

2006-10-30  wrtlprnft

	added options for custom names and colors for teams.

2006-10-19  nemostultae

	Even more typo fixes

2006-10-19  nemostultae

	More typo fixes

2006-10-19  nemostultae

	Fixed typo, and changed mime-type to text/plain (was application/octet-stream)

2006-10-13  z-man

	Faster array allocated space growth for efficiency.

2006-10-13  z-man

	Removed some unused setting items from the server.

2006-10-12  z-man

	Adapted to internal autoconf macro renaming from autoconf 2.59 to 2.60.

2006-09-03  z-man

	Cosmetic type change.

2006-09-03  z-man

	Fixed typo.

2006-09-03  z-man

	currentFace is cleared on RemoveFromGame(); this avoids zombie game objects from referencing faces and the sub-faces resulting from grid changes forever. The same isn't required in eGameObject::RemoveFromGame(), since that one calls the destructor which does the same job.

2006-08-20  z-man

	Fixed leaving out particle system on master-only builds.

2006-08-20  z-man

	Changed ping averager weight calculation to avoid expensive exp() call.

2006-08-20  z-man

	Don't include the resource manager for a master-only built.

2006-08-20  z-man

	Don't check for libxml if only the master server should be built.

2006-08-13  z-man

	Removed gap between cycle and wall when inter-frame prediction is large.

2006-08-13  z-man

	Made some member functions that should be const.

2006-08-13  wrtlprnft

	davidfancella is an administrator, so he may receive spam too :P

2006-08-10  z-man

	Rebeautified according to astyle.

2006-08-10  z-man

	Worked around inconsistent wall data that comes from old servers.
	Optimized distance/alpha calculations a bit.

2006-08-09  z-man

	Added death exception throwing edge passing function to cycle extrapolator to avoid local phasing.

2006-08-09  z-man

	Reset rubber speed factor on turns; it was causing too short raycasts when extrapolating.

2006-08-09  wrtlprnft

	- FULLSCREEN_MESSAGEs are now scrollable
	- Fixed some display issues for the "about" screen

2006-08-09  wrtlprnft

	taken from NEWS:
	- New "About" menu item in the main menu displays the version of Armagetron Advanced, the paths it uses, links to the main site, wiki and forums and the names of the project admins.

2006-08-09  z-man

	Decorated the code with some tAdvanceFrame() calls before sn_SendPlanned() calls; outgoing network messages should now get correct time stamps and ping measurements should be more accurate.

2006-08-08  z-man

	Fixed CYCLE_WALL_TIME in network games.

2006-08-08  z-man

	Fixed comparison range of distance comparison to also work with negative distances.

2006-08-07  z-man

	Leakfix: better clearing of reference loop (and other evils) causing temporary smart pointers.

2006-08-07  z-man

	Update last turn position and wall begin distance on cycle sync.

2006-08-07  z-man

	Don't react on fullscreen toggle in debug mode when playing back.

2006-08-07  z-man

	Moved setting of end time to after outdated checkpoints get deleted; the new end time would be ignored otherwise in some cases.

2006-08-07  z-man

	Fixed team reballancing, TEAMS_MAX and TEAM_MAX_PLAYERS are both honored.

2006-08-06  z-man

	Clear rubber raycast cache after turns (duh).
	Clear edge smart pointers of rubber raycast cache after timestep is done.

2006-08-06  z-man

	Clear the list of deleted objects a bit safer.

2006-08-06  z-man

	Got rid of quite a lot of raycasts by caching the result of the rubber raycast (from the cycle to the front) during a single simulation frame when nothing can jump into the cycle's path. The cycle position extrapolation code also uses the cached data.

2006-08-06  z-man

	Saved two raycasts per cycle per frame on the dedicated server by recycling information from the accelerator raycasts.

2006-08-06  z-man

	Smarter handling of data structures when a nNetObject is deleted.

2006-08-06  z-man

	Optimization: Switched from storing nominally deleted objects in an array (sucks) to storing them in a map (rules).

2006-08-06  z-man

	Optimization: resend timeout of network messages is only calculated when they are first sent, not every time resending is considered.

2006-08-06  z-man

	Simplify the grid only in phases when it pays off.

2006-08-06  z-man

	Reverted last change, checking for linkage is the right thing for functions.
	Removed check for X includes for dedicated server.

2006-08-06  z-man

	Using AC_CHECK_DECLS now to look for sinf et al; they may be inlined so AC_CHECK_FUNCS doesn't find them. Plus, it's faster that way.

2006-08-06  z-man

	Added iF's master server.

2006-08-05  z-man

	Security fixes:
	- network ID hog kicking code repaired (it produced endless loops)
	- owner of received object checked on the server

2006-08-04  z-man

	GNUPLOT_DEBUG now also active in non-debug mode.
	Fixed future walls left standing after crash.

2006-08-04  z-man

	Fixed balancing if two unbalanced teams are present and the maximum number of players per team is reduced.

2006-08-04  z-man

	Moved writing of players.cfg before inclusion of everytime.cfg, so scripts that write everytime.cfg have the latest information.

2006-08-04  z-man

	Removed explicit breakpoint, whoops, left over from last debugging session.

2006-08-04  z-man

	Fixed explosion buds left from last round, cycles weren't deleted on the server in time.

2006-08-04  z-man

	Fixed missing network syncing in menu rendering idle function.
	Fixed some quirks the network optimization revealed.

2006-08-03  z-man

	Network code optimizations:
	- sn_Receive() no longer automatically calls the (moderately expensive) sn_SendPlanned()
	sending function, the caller has to take care of that when ready. The usual procedure would be
	sn_Receive(); nNetObject::SyncAll(); sn_SendPlanned();
	Adaptions to this all over the place are already done.
	- the game code calls the network code less often per frame, two calls were entirely wasted.
	- nNetObject::SyncAll() removes objects earlier from the syncing list so it is shorter and
	can be processed quicker the next time; the pruning is done outside of the client iterating loop
	so it doesn't get called needlessly often.

2006-08-03  z-man

	Fixed infinite recursion loop and memory eater when very long messages should be sent to the remote admin.

2006-08-02  wrtlprnft

	Added meriton's improved Lag-O-Meter and axes indicator: http://forums.armagetronad.net/viewtopic.php?t=6761 .
	- Moved all the defined classes into a new namespace to avoid possible future conflicts as the code doesn't use our normal naming convention.
	- Made the color blend factor and minimal size of the Lag-O-Meter configurable.
	- Added option to use the old Lag-O-Meter, this will disappear (#ifdef'd out actually) in the trunk.
	- Added menu option to render the axes indicator.

2006-08-02  wrtlprnft

	The implementation of spectator mode changed. Thanks to Fonkay for noticing!

2006-08-01  wrtlprnft

	Added help string for CYCLE_DELAY_DOUBLEBIND_BONUS

2006-07-31  luke-jr

	Append progdir_suffix to aa_* paths as it is supposed to be

2006-07-28  z-man

	Added StateUpdate() to stuff that is called right after network data is
	received. This should fix the short rounds at match end if a player scores
	at the last possible momemt when the round restart has already been decided,
	but not yet executed; that moment now no longer exists.

2006-07-27  z-man

	Used new wall end position snapshots to make wall time extrapolation more accurate, especially while rubber is being used.
	Rubberless deaths replaced with instant rubber usage that lets the cycle survive if the trails are short compared to rubber, as is often the case on race type servers. Groundpig, this is for you :)

2006-07-27  z-man

	Added the possibility to make "snapshots" of the current wall end data; it is stored in one of the coord_ entries and not touched on further updates. Hmm, this would also give a slightly better cycle position history with the right query functions.

2006-07-26  z-man

	Drop wall on rubberless deaths; the current wall gets updated on death, and with the warped position, this could mean trouble. The actual position of the walls doesn't matter in the end, they get holed away some commands later.

2006-07-26  z-man

	Don't extrapolate cycle movement into the past when determining the front end of walls.

2006-07-23  z-man

	Whoops, typo. Clamped the wrong variable. A new match was started every time a team was created or deleted.

2006-07-23  z-man

	Fixed NAN acceleration, put in some assertions that catch similar errors in the future.

2006-07-23  z-man

	Removed some strange clamping raycasts for the smooth position correction.

2006-07-23  z-man

	Predicted walls are no longer marked as dangerous; the cycle position gets extrapolated on a danger query.

2006-07-22  z-man

	Refined sensor speed, it is now only active on request, and the rubber sensor requests it.

2006-07-22  z-man

	More precise collision detection: sensors take the speed of their owner into account and test whether obstacles will be solid by the time the owner could reach them, not whether they are solid now.

2006-07-22  z-man

	Factored position prediction code into own function, it's now called from gCycle::Timestep, no longer TimestepCore(), where it will always be called so the wall prediction is always active.
	When a prediction wall is hit, the new simulation stopping exception type is thrown.

2006-07-22  z-man

	Added "Stop simulation, we don't have enough information to proceed!" exception.

2006-07-22  z-man

	Added DEDICATED_FPS_IDLE_FACTOR, controlling the maximum length of pauses the game code makes when waiting for network data.

2006-07-22  z-man

	Added storing place for extra lag caused by lazy simulation.

2006-07-22  z-man

	Rebeautified.

2006-07-22  z-man

	Extended match restart condition to switches from human team count from 0 to 1 and 1 to 0.

2006-07-22  z-man

	Instead of disabling team menu items for spectators, they're now kicked out of spectator mode when they enter their menu.

2006-07-22  z-man

	Fixed version generation under "make distcheck" and of course in a real
	release.

2006-07-22  nemostultae

	Updated icon to look better at smaller sizes.

2006-07-21  z-man

	This attempt at version generation should work a bit better.

2006-07-21  z-man

	Attempt to make the version the game reports auto-update every time you do 'svn update' without a full rebuild.

2006-07-21  z-man

	Fixed another instance of local phasing, this time during extrapolation of your own cycle.

2006-07-21  z-man

	Fixed some clientside collision prediction quirks.

2006-07-20  z-man

	Reverted change to extrapolation direction, it was wrong. Whoops.

2006-07-19  z-man

	Don't call BUG anymore if future walls get deleted, the code seems safe.

2006-07-19  z-man

	Fixed almost endless recursion and early turns when gCycleMovement::TimestepCore does not want to do actual work.

2006-07-19  z-man

	Whoops. Fixed coordinate messup when converting between gPlayerWall and gNetPlayerWall coordinates when querying the time and a real stupidity when querying the distance...

2006-07-19  z-man

	Fixed unused variable in optimized mode.

2006-07-18  z-man

	Added deletion of future walls (that sometimes would stick out of the explosion area) after rubberless deaths.

2006-07-18  z-man

	Exported sg_netPlayerWallsGridded.

2006-07-18  z-man

	Refined assertions in Check(), there was floating point trouble.
	Renamed gridded_sg_netPlayerWalls to sg_netPlayerWallsGridded.

2006-07-18  z-man

	Fixed memory leak of welcome message.
	Fixed immediate round restart the first round after 2 vs 0 was autobalanced to 1 vs 1.

2006-07-18  z-man

	Extra sync message is sent on start of rubber usage.

2006-07-18  z-man

	rebeautified.

2006-07-18  z-man

	Take lag threshold into account when deciding whether to simulate up to the next interesting event in the life of an object.

2006-07-18  luke-jr

	don't assume we always have an uninstaller

2006-07-17  z-man

	Added chance to override a fatal exit while debugging.

2006-07-17  z-man

	Sanitized checks to jump to next event, cycles sometimes got stuck for the
	period between two turns.

2006-07-16  z-man

	Fixed functional typo.

2006-07-16  z-man

	Better clientside collision prediction.
	Server now sents extra syncs when cylces pass walls to work against client mispredictions.

2006-07-16  z-man

	Whoops, enemy clients did only get syncs after turns.

2006-07-16  z-man

	Fixed direction of tail end position prediction on collision detection. Maybe that was the tail lag everyone was screaming about?

2006-07-16  z-man

	Whoops, fixed braces.

2006-07-16  z-man

	Added prediction of walls on the dedicated server: wall ends can be set to the predicted position the cycle will be at at the time any other game object is simulated to. The other objects check for the presence of these extrapolated wall ends and can delay their simulation until the predicted wall turns real or disappears. This should get rid of most rubberless death bugs, let's hope it doesn't produce to many new ones.

2006-07-15  z-man

	Ok, fixed some more quirks of the new match restart code.

2006-07-15  z-man

	Whoops, the first game in single player modde against AIs was immediately restarted.

2006-07-15  z-man

	Typo, typo!

2006-07-15  z-man

	Improved accuracy of brake usage simulation and speed decay when taking large timesteps.

2006-07-15  z-man

	The current round and match are now aborted without a winner if the team count changes from 1 to 2 or vice versa.

2006-07-14  z-man

	Delayed turn warning disabled for AIs.

2006-07-14  z-man

	Protection against rubberless kills from teammates added.

2006-07-12  z-man

	Fixed handling of redundant brake commands, the flexibilization for many axes broke it.

2006-07-12  z-man

	Fixed correction of step too far back in time.

2006-07-12  z-man

	Fixed wrong check for too small timesteps.

2006-07-11  z-man

	Added debug checks for CYCLE_DELAY violations, fixed one of them.

2006-07-11  z-man

	Following client commands while rubber is used enhanced. The involuntary death probability should be lower now.

2006-07-11  z-man

	Updated to code changes.

2006-07-11  z-man

	Cool, the client is now running a separate network handling thread that processes messages while the main thread waits for the graphics card to swap. Only works when not recording, though.

2006-07-11  nemostultae

	* src/network/nSocket.cpp: Use IPPROTO_IP instead of SOL_IP on Mac OS X. This was getting a failure message, but the comment says the success is not critical.
	
	* MacOS/Armagetron Advanced.xcodeproj/project.pbxproj: Added eLagCompensation files

2006-07-11  z-man

	Disabled the strange trueDistance_ logic, I can't remember why it was put there. Well, some bug will probably tell me soon :)

2006-07-11  z-man

	Whoops, fixed simulation of server-owned objects.

2006-07-11  z-man

	Many, many more latency reduction improvements.

2006-07-11  z-man

	Fixed timestamp of wall update.

2006-07-11  z-man

	Of course, this setting doesn't have to be network aware.

2006-07-11  z-man

	Added lag compensation hack for old clients.

2006-07-11  z-man

	Added facility for WriteSync() implementations to find out who the sync is for.

2006-07-10  z-man

	Improved rubber precision by predicting rubber usage for the reservoir mindistance.
	Smoothly blend from distance based turn commands (without rubber active) to time based turn commands (with full rubber active, when sitting directly in front of a wall).

2006-07-10  z-man

	More missing initializations.

2006-07-10  z-man

	Umm, perhaps it would be nice not to use up credit for lag compensation if you're not actually going to compensate anything? (When rubber is active)

2006-07-10  z-man

	Disabled lag compensation when rubber is active for now. It is making too many problems. The packet loss tolerance already takes care the player doesn't get killed from lag, that's better than nothing.

2006-07-10  z-man

	Initialized skew properly.

2006-07-10  z-man

	Added lag sliding warning.
	Hopefully improved timestep calculation.

2006-07-10  z-man

	Whoops, the antilag code produced more lag :)

2006-07-10  z-man

	Another player name fix.

2006-07-10  z-man

	Fixed "Player 1" bug triggered by network object reordering. Players always entered as Player 1, then renamed.

2006-07-10  z-man

	Switched order of timesteps. Should make collision with own tail really precise now.

2006-07-10  z-man

	Fixed annoying "Element not in heap" error on fatal exit, it is now replaced by tons of memory leaks. Oh well.

2006-07-10  z-man

	Rearranged call order of nNetObject::ReadSync() and nNetObject::InitAfterCreation(), init now comes first. Some things that were formerly done in init now need to be done in ReadSync() if this->ID() is zero (inicating that this is the first sync).

2006-07-09  z-man

	Disabled veto debug messages.

2006-07-09  z-man

	Streamlined delays. Less delays are made, the console output is no longer forced between rounds, making ping measurements less bouncy then.

2006-07-09  z-man

	More high timestep accuracy fixes to rubber code. The beginning of rubber usage is now precisely simulated to, we at least try to do the same for the end of rubber usage (it's less important there).

2006-07-09  z-man

	Fixed AI balancing. AIs are, at the lowest level, always allowed to join a team now. The higher level balancing code is responsible for making sure the joining makes sense.

2006-07-09  z-man

	Fixed trail end related simulation accuracy bugs. The rubber code now checks when a trail end will disappear and will simulate exactly to that point. When stuck on a trail end, the moment you're allowed to pass it is thus better defined even when simulating with large timesteps.

2006-07-08  z-man

	Fixed time during movement. The visible consequence was that hitting the end of a finite trail was less often deadly than it should.

2006-07-08  z-man

	If an object refuses to make timesteps, no further ones are attempted for this frame.

2006-07-07  z-man

	Yet better handling of rubber in lag compensation.

2006-07-07  z-man

	Slight improvements on lag compensation vs rubber

2006-07-07  z-man

	added recend lag improvements

2006-07-07  z-man

	Sockets get their TOS field set to LOWDELAY, at least in Unix.

2006-07-07  z-man

	Lag messages are only sent to clients that know about them.

2006-07-07  z-man

	Added lag credit amnesty. If everyone is lagging, it must me the server's fault, and lag credit usage should be lowered for everyone.

2006-07-07  z-man

	More tweaking of lag compensation, the slow averager is a bit faster now.

2006-07-07  z-man

	Moved MAX_SIMULATE_AHEAD here.

2006-07-07  z-man

	Team membership is copied in CopyFrom(), that should fix teammates' wall recognition when extrapolating.

2006-07-07  z-man

	Tweaks to lag compensation.

2006-07-07  z-man

	Fixed self detection of sensors when extrapolating.

2006-07-06  z-man

	Lag is detected when cycle turn/brake commands arrive too late, compensated by simulating the cycle back in time, and reported to the client so it can compensate.

2006-07-06  z-man

	The game timer's return value is now modified by the game level lag measurement to compensate for the lag.

2006-07-06  z-man

	Implemented game level compensation for various kinds of network problems (aka LAAAG!).

2006-07-05  z-man

	Optimization: connections are only updated if they have a socket. nAverager::Timestep is surprisingly expensive in a total server run, because it is called so often.

2006-07-05  z-man

	Result of password comparison is now stored in the recording, because the configured password isn't.

2006-07-05  z-man

	Invulnerable() now really means invulnerable: KillAt refuses to work if it returns true, and rubber is always active, no matter how full it is.

2006-07-04  z-man

	Fixed the way turns are enforced after the turn delay is over. Instead of forging the last turn times, which does not work any more, the turn delay is temporarily set to zero.

2006-07-04  z-man

	Added timestamps to respawns

2006-07-03  z-man

	Fixed wall flickering bug. Preliminary walls are only discarded faster if a final wall comes along over the network that really is a bit newer.

2006-07-03  z-man

	More CPU latency improvements. After network traffic comes in, the server first simulates the game objects that received commands and sends out sycns, then does the rest.

2006-07-03  z-man

	"Lag turn" bugfix. Sometimes, the server would initiate a cycle turn and mark the turn command as exectued, but the cycle was unable to execute the turn right away. The following inconsistent sync message confused the client.

2006-07-02  z-man

	Added removed, auto-generated files to ignore list.

2006-07-02  z-man

	Added prototypes for lag compensation functions so they can be integrated in the Windows/Mac projects before they're actually used.
	Splitted libenginecore.a from libengine.a with the files that use most of the CPU time; they can be compiled with optimizations even if the rest of the code is in debug mode.

2006-07-02  z-man

	Removed changing of executable bit of install-sh, which is a symlink to a system file (I thought I already did that, twice...)

2006-07-02  z-man

	Moved acceleration calculation into core timestep. That's the only way to awoid differences in brake application over the network.

2006-07-02  wrtlprnft

	Backported crashfix, sorry for any merge conflicts this might cause.
	------------------------------------------------------------------------
	r4182 | wrtlprnft | 2006-03-18 17:29:08 +0100 (Sat, 18 Mar 2006) | 3 lines
	
	Fixed a segfault that occured with custom axes and AIs.
	this is not an optimal solution, but it's better than a crash (the AIs might be more stupid than usual, but I didn't notice anything)

2006-07-01  z-man

	Removed files autogenerated by, umm, one of the auto* programs.

2006-07-01  z-man

	Lag improvements: instead of just pausing, the game now uses the select() system call that pauses until a time has elapsed or network data has arrived. The data is then processed as fast as possible, answers are sent out, and the cycle restarts.

2006-06-30  z-man

	Fixed double sync writing on object creation.

2006-06-30  z-man

	Added Select() function to base network system that waits for input data with a timeout.

2006-06-29  z-man

	Fixed balancing: when a team is to be removed, the smallest team is broken up and the players are distributed evenly across the other teams, always putting each player into the smallest team left.

2006-06-29  z-man

	Random reformatting by astyle: removed one extra space at end of line.

2006-06-29  z-man

	Name filters are only applied to remote players, AIs and "Admins" on hybrid servers should be allowed any name.
	Team change commands to teams that still exist, but have no more players, are ignored.

2006-06-28  z-man

	Fixed highscore/ladder loading.

2006-06-28  z-man

	Removed another case of clientside player name filtering.

2006-06-27  z-man

	Joining players are always assigned to a team, but a potentially unfullfillable team join wish stays memorized. Older wishes/wishes from higher scoring players usually are given preference, but don't rely on it.

2006-06-26  z-man

	Added one missign check for '\n' as space character.

2006-06-26  z-man

	Added one missign check for '\n' as space character.

2006-06-26  z-man

	Fixed packet loss tolerance, the lag fluctuation now gets added to the base tolerance time, it doesn't overwrite it.

2006-06-24  z-man

	More isspace->isblank replacements.

2006-06-24  z-man

	VisualC compatibility
	Fancy name filtering is no longer done in client mode
	replaced isspace calls with isblank

2006-06-24  z-man

	VisualC compatibility

2006-06-23  z-man

	Fixed clientside phasing bug that is fatal when playing on pre-0.2.7.1 servers. The bug was caused by the bugfix for enemy cycles getting stuck after a turn.

2006-06-22  z-man

	Fixed AI crash in debug mode from missing check.

2006-06-22  z-man

	When a cycle is pushed back by a passive wall collsion, its current wall gets updated along with its position.

2006-06-20  z-man

	Added FILTER_NAME_MIDDLE for filtering of excess whitespace in the middle of player names.

2006-06-20  z-man

	Smoothed ingame menu exiting, no more hickups there.
	Problems removed: There was a delay function called, menu and game rendering used different swap/clear methods.

2006-06-20  z-man

	Added more differentiated topology police setting

2006-06-19  z-man

	Added a timeout to enemy contacs with fortress zones.
	If the timeout is set, all records and effects of the contact are deleted,
	the touching team won't get points if the zone collapses, and nobody of the 
	owning team gets killed.
	Additionally, if the zone is a sumo zone (negative conquest decay rate),
	it will collapse harmlessly.

2006-06-18  z-man

	Whoops, reenabled the black screen at round start (when objects are spawned) and right after login (when sync is incomplete). The change also seemed to fix fast forward playback problems.

2006-06-18  nemostultae

	config/settings.cfg: added commented out settings to restore old custom_camera glancing behavior
	src/macosx/client/config.h: removed SDL_mixer
	MacOS/Armagetron Advanced.xcodeproj: ditto

2006-06-18  z-man

	Various fixes for non-normalized driving directions.
	Basically, all occurences of the scaling dependand eCoord::F( dirDrive, <other vector>) were replaced by the scale independant eCoord::F( dirDrive, <other vector>)/dirDrive::NormSquared().

2006-06-18  z-man

	Fixed fullscreen messages player interaction: the players are now actually put out of spectator mode once the message has been displayed.

2006-06-18  z-man

	Adapted network syncing for anticyclic driving directions.

2006-06-17  z-man

	uMenu::Message(): Always call rSysDep::SwapGL() even when rendering is disabled, so per frame tasks get executed no matter what.

2006-06-17  z-man

	Fullscreen messages that come over the network are no longer handled immediately; instead, they're handled as a tToDo task later. They sometimes oocured inside the login function and made the login time out.

2006-06-17  z-man

	Call per frame task always when recording and playing back, not just when actual rendering takes place. Important for consistency and playback without --benchmark.

2006-06-17  z-man

	Prevent console auto-rendering during per-frame tasks, they can lead to nasty recursion artefacts. The auto-rendering could trigger another per-frame task.

2006-06-17  z-man

	Fixed AI crash when axes have the wrong sense of rotation.

2006-06-16  z-man

	Fixed leave messages for forced spectator mode.

2006-06-16  z-man

	Embedded program version in recording so I don't have to ask about it every time.

2006-06-15  z-man

	Added console logging of kicks, so the server admin knows the reason, too.

2006-06-15  z-man

	Bugfixes: issuing a kick vote made you immune for the same time for a kick vote as getting kickvoted. Sometimes, you were spamkicked without being given a good reason.

2006-06-15  z-man

	Added reasons to spamkick messages the kicked players get.

2006-06-15  z-man

	Refined custom glancing, there are now separate settings for the camera during custom glances.
	There are also separate, server controlled, glance camera settings, and server controlled flags that make the client choose between them.

2006-06-15  z-man

	Added favorite target memory to the camera to make coaching players easier.

2006-06-14  z-man

	Added favorite target memory to the camera to make coaching players easier.

2006-06-14  z-man

	Fixed false assertion that make zero rubber impossible in debug mode

2006-06-14  z-man

	Fixed const correctness of ePlayer::ID()

2006-06-14  z-man

	Fixes for AUTO_TEAM 0:
	- There is now a "Spectator X joined" message when a new player joins
	- You can join any team by selecting "Create new team"

2006-06-13  z-man

	Disabled debug output completely, the new turn delay seems to work fine.

2006-06-13  z-man

	Fixed nonteterministic temporary wall gridding behavior that broke the recordings.

2006-06-12  z-man

	More debug logs.

2006-06-12  wrtlprnft

	Added the new CYCLE_DELAY_DOUBLEBIND_BONUS setting

2006-06-12  z-man

	More debug syncs, target is the way temporary edges are copied into the grid.

2006-06-12  z-man

	Debug syncs now also notify you if the expected block is missing

2006-06-12  z-man

	Added debug recording markers to catch grid simplification differences during recording/playback

2006-06-12  z-man

	Debug logging rearrangements to catch heisenbug

2006-06-12  z-man

	Crashfix: pendingTurns.back() derefecenced without checking if the deque was empty

2006-06-12  z-man

	Removed useless logging of network message size on creation, it is always zero anyway.

2006-06-12  wrtlprnft

	Added CYCLE_DELAY_DOUBLEBIND_BONUS, a method for removing the advantage of doublebinders while still allowing tight left/right turns and fights

2006-06-12  z-man

	Added diagnostics for vetoed setting lines

2006-06-12  z-man

	Fixed TEAMMATE/ENEMY distinction in sensors. Well, not actually fixed. Implemented. Nothing was there before, whoops.

2006-06-12  z-man

	MESSAGE_OF_DAY no longer sent to master server.

2006-06-11  z-man

	Added documentation for break boost settings.

2006-06-11  z-man

	Added documentation for break boost settings.

2006-06-11  z-man

	Injected SpeedMultiplier into wall break boost

2006-06-11  z-man

	Adjusted width rubber usage to defaults in settings.cfg

2006-06-11  z-man

	Added CYCLE_BOOST settings (experimental, not yet documented)

2006-06-11  z-man

	Added CYCLE_ACCEL_TUNNEL as extra acceleration factor when a cycle is between two non-owned walls.

2006-06-11  z-man

	Added new center message stuff.

2006-06-11  z-man

	Added support for fullscreen messages from the server to the client. They are displayed like error messages.
	While a message is displayed, local players are sent into spectator and chat state.
	The server waits for everyone to read the message if it went out to all clients.
	New console command: FULLSCREEN_MESSAGE <timeout> <message> triggers such a thing manually, and MESSAGE_OF_DAY is displayed that way, too, if possible, with configurable title (TITLE_OF_DAY) and timeout (MESSAGE_OF_DAY_TIMEOUT).

2006-06-11  z-man

	Removed "FULLSCREEN" from the veto list to make room for FULLSCREEN_MESSAGE

2006-06-11  z-man

	Added nMessage write operator for tOutputs. They were converted to bools...

2006-06-10  z-man

	Adapted default config to change in SDLK_LAST

2006-06-10  z-man

	Finished CYCLE_WIDTH implementation. The width now can be asymetric, closely
	driving to walls can be punished with CYCLE_WIDTH_SIDE. Sparks only fly if
	you're so close to a wall nobody can squeeze through.

2006-06-10  z-man

	Made SDL_CONFIG settable from the outside.

2006-06-10  z-man

	Worked around the problem that you can't see a public server on your LAN in
	the Internet Server browser because its answer comes from the wrong IP: If
	an unknown server info comes in, its source IP is just added to the list of
	servers.
	Fixed bug that a server with SEVER_DNS set was not possible to connect to in
	the LAN browser.

2006-06-08  z-man

	Squeeze death transformed to squeeze rubber usage, followed by squeeze death.

2006-06-08  z-man

	Bumped revision for upcoming alphas

2006-06-08  z-man

	Whoops, logic error. Got the extra condition that allows you to kickvote at the start the wrong way round.

2006-06-08  z-man

	Fixed team color change bug. Could happen every time both teams lost a player during a round.

2006-06-07  z-man

	PredictPosition now takes speed reduction by rubber usage into account.

2006-06-07  z-man

	Voter maturity check relaxed during the first minutes of a server run. Before, nobody could issue kick votes for the first five minutes.

2006-06-07  z-man

	updated.

2006-06-07  z-man

	Fixed "Team Red" bug. If, on a two team server, one team gets abandonned and another team gets created right away, it no longer gets a previously unused color, but the one that was just freed.

2006-06-07  z-man

	Removed tabs from line ends.

2006-06-07  z-man

	Added score difference logging in some other crucial spots.

2006-06-07  z-man

	Fixed uncaught exceptions.

2006-06-07  z-man

	Cycles can now have finite width and get killed when they squeeze through tunnels smaller than that.

2006-06-07  z-man

	Gamestate analysis is now only done once a second.

2006-06-06  z-man

	Whoops, backslash eating monster slain.

2006-06-06  z-man

	NULL pointer dereferencing crashfix.

2006-06-05  z-man

	Removed spurious "Join nonexistent team" messages on quit.

2006-06-05  z-man

	Clients older than 0.2.8.2, when they go into the invisible spectator mode, still leave a spectator player lingering around until they either enter the game again or quit. This player can server as a kick vote target.

2006-06-05  z-man

	When a network object's ownership is transfered to this machine in the ActionOnDelete() hook, its deletion is averted.

2006-06-05  z-man

	Phasing fix: When A grinds B's current wall, B's last driving direction is taken to be opposite to the grid. When A turns to cut off B, that gives the algorithms better data, or so the hope is.

2006-06-05  z-man

	Activated rubberless death bugfix, may lead to phasing or crashes. We'll see :)

2006-06-05  z-man

	Issue a kick vote and you can't change your name as well, just as the person you try to get kicked.

2006-06-05  z-man

	Whoops, the voting maturity timestamp was refreshed every round instead of only on renames.

2006-06-05  z-man

	Kick statistics are now also persistent between sessions.
	Bans are no longer printed while they're read. This happened for every master server connection.

2006-06-05  z-man

	Added VOTING_MATURITY, the minimum "age" a player has to have before he is allowed to issue kick votes.

2006-06-05  z-man

	Always activate dependency tracking.
	Proper error handling added. Well, perhaps not proper, but the script now exits on failure.

2006-06-04  z-man

	Phasing fix roundup.
	The way cylce walls that are considered to be important for future collisions are gridded has been revamped: They're no longer dropped as they would be after a turn, which causes a sync to the clients, but only a partial gPlayerWall referencing the first bit of the gNetPlayerWall is copied. The gNetPlayerWall is left unchanged.
	In addition, to exploit the cheaper gridding, the action is now triggered more often. Grinding an enemy wall triggers it now all the time, not just when the grind is started.

2006-06-04  z-man

	Added diagnostic messages, I have the strange feeling dependency generation does not work for me any more.

2006-06-04  z-man

	Removed doublicate break on network object ID that slipped in on a CVS merge.

2006-06-04  z-man

	Updated documentation of GAME_TYPE varaibles.

2006-06-02  z-man

	Adapted "make dist" to Luke's recent changes.

2006-06-02  z-man

	Merged changes from 0.2.8.2 branch

2006-06-02  z-man

	Cycle position warped to position of death in KillAt, like the function was originally designed. I can't remember why this was removed, but I'm sure I'll be reminded soon :)

2006-06-02  z-man

	Whoops, added forgotten semicolon

2006-06-02  z-man

	Don't read escape sequences beyond EOF

2006-05-31  z-man

	Moved max_player_speed to the top of the file so it is also defined when the
	server is compiled.

2006-05-31  davidfancella

	Fixed (hopefully) bug where the fastest player would persist across sessions on the HUD for no good reason.

2006-05-31  luke-jr

	wrtl is a developer now

2006-05-31  luke-jr

	Move README-KDevelop3_0 into README-Subversion

2006-05-31  luke-jr

	I don't know if these are used, but just in case

2006-05-31  luke-jr

	More migration to Subversion

2006-05-31  luke-jr

	Minor improvements

2006-05-31  luke-jr

	Migrate README-CVS into README-Subversion

2006-05-30  z-man

	fixed distcheck

2006-05-30  z-man

	fully switched to svn.

2006-05-30  z-man

	Takes branch/tag info from SVN now to generate version from it.

2006-05-30  z-man

	Adapted "make dist" for subversion, .svn directories are cleared as well

2006-05-30  z-man

	Renamed cvstest to devtest

2006-05-29  z-man

	Switched form cvs2cl to svn log. svn2cl eats the whole memory, then dies.

2006-05-29  z-man

	Fixed missing character bug on the lowest level

2006-05-29  luke-jr

	Unify tags/branches of modules released together

